/*!
 * devextreme-angular
 * Version: 23.2.6-build-24091-0113
 * Build date: Sun Mar 31 2024
 *
 * Copyright (c) 2012 - 2024 Developer Express Inc. ALL RIGHTS RESERVED
 *
 * This software may be modified and distributed under the terms
 * of the MIT license. See the LICENSE file in the root of the project for details.
 *
 * https://github.com/DevExpress/devextreme-angular
 */
import { OnInit, OnDestroy } from '@angular/core';
import { NestedOptionHost } from 'devextreme-angular/core';
import { NestedOption } from 'devextreme-angular/core';
import * as i0 from "@angular/core";
export declare class DxoApiKeyComponent extends NestedOption implements OnDestroy, OnInit {
    get bing(): string;
    set bing(value: string);
    get google(): string;
    set google(value: string);
    get googleStatic(): string;
    set googleStatic(value: string);
    protected get _optionPath(): string;
    constructor(parentOptionHost: NestedOptionHost, optionHost: NestedOptionHost);
    ngOnInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoApiKeyComponent, [{ host: true; skipSelf: true; }, { host: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DxoApiKeyComponent, "dxo-api-key", never, { "bing": "bing"; "google": "google"; "googleStatic": "googleStatic"; }, {}, never, never>;
}
export declare class DxoApiKeyModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoApiKeyModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<DxoApiKeyModule, [typeof DxoApiKeyComponent], never, [typeof DxoApiKeyComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<DxoApiKeyModule>;
}
