/*!
 * devextreme-angular
 * Version: 23.2.6-build-24091-0113
 * Build date: Sun Mar 31 2024
 *
 * Copyright (c) 2012 - 2024 Developer Express Inc. ALL RIGHTS RESERVED
 *
 * This software may be modified and distributed under the terms
 * of the MIT license. See the LICENSE file in the root of the project for details.
 *
 * https://github.com/DevExpress/devextreme-angular
 */
import { NestedOption } from 'devextreme-angular/core';
import { AnimationConfig, AnimationState, AnimationType } from 'devextreme/animation/fx';
import { Direction } from 'devextreme/common';
import { AnimationEaseMode } from 'devextreme/common/charts';
import * as i0 from "@angular/core";
export declare abstract class DxoAnimationConfig extends NestedOption {
    get hide(): AnimationConfig;
    set hide(value: AnimationConfig);
    get show(): AnimationConfig;
    set show(value: AnimationConfig);
    get duration(): number;
    set duration(value: number);
    get easing(): AnimationEaseMode | string;
    set easing(value: AnimationEaseMode | string);
    get enabled(): boolean;
    set enabled(value: boolean);
    get maxPointCountSupported(): number;
    set maxPointCountSupported(value: number);
    get complete(): Function;
    set complete(value: Function);
    get delay(): number;
    set delay(value: number);
    get direction(): Direction | undefined;
    set direction(value: Direction | undefined);
    get from(): AnimationState;
    set from(value: AnimationState);
    get staggerDelay(): number | undefined;
    set staggerDelay(value: number | undefined);
    get start(): Function;
    set start(value: Function);
    get to(): AnimationState;
    set to(value: AnimationState);
    get type(): AnimationType;
    set type(value: AnimationType);
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoAnimationConfig, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DxoAnimationConfig, "ng-component", never, {}, {}, never, never>;
}
