/*!
 * devextreme-angular
 * Version: 23.2.6-build-24091-0113
 * Build date: Sun Mar 31 2024
 *
 * Copyright (c) 2012 - 2024 Developer Express Inc. ALL RIGHTS RESERVED
 *
 * This software may be modified and distributed under the terms
 * of the MIT license. See the LICENSE file in the root of the project for details.
 *
 * https://github.com/DevExpress/devextreme-angular
 */
import { NestedOption } from 'devextreme-angular/core';
import { SearchMode } from 'devextreme/common';
import * as i0 from "@angular/core";
export declare abstract class DxoColumnChooserSearchConfig extends NestedOption {
    get editorOptions(): any;
    set editorOptions(value: any);
    get enabled(): boolean;
    set enabled(value: boolean);
    get timeout(): number;
    set timeout(value: number);
    get mode(): SearchMode;
    set mode(value: SearchMode);
    get searchExpr(): Function | string | undefined | Array<Function | string>;
    set searchExpr(value: Function | string | undefined | Array<Function | string>);
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoColumnChooserSearchConfig, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DxoColumnChooserSearchConfig, "ng-component", never, {}, {}, never, never>;
}
