/*!
 * devextreme-angular
 * Version: 23.2.6-build-24091-0113
 * Build date: Sun Mar 31 2024
 *
 * Copyright (c) 2012 - 2024 Developer Express Inc. ALL RIGHTS RESERVED
 *
 * This software may be modified and distributed under the terms
 * of the MIT license. See the LICENSE file in the root of the project for details.
 *
 * https://github.com/DevExpress/devextreme-angular
 */
import { CollectionNestedOption } from 'devextreme-angular/core';
import { DataChangeType } from 'devextreme/common/grids';
import * as i0 from "@angular/core";
export declare abstract class DxiDataChange extends CollectionNestedOption {
    get data(): any;
    set data(value: any);
    get insertAfterKey(): any;
    set insertAfterKey(value: any);
    get insertBeforeKey(): any;
    set insertBeforeKey(value: any);
    get key(): any;
    set key(value: any);
    get type(): DataChangeType;
    set type(value: DataChangeType);
    static ɵfac: i0.ɵɵFactoryDeclaration<DxiDataChange, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DxiDataChange, "ng-component", never, {}, {}, never, never>;
}
