/*!
 * devextreme-angular
 * Version: 23.2.6-build-24091-0113
 * Build date: Sun Mar 31 2024
 *
 * Copyright (c) 2012 - 2024 Developer Express Inc. ALL RIGHTS RESERVED
 *
 * This software may be modified and distributed under the terms
 * of the MIT license. See the LICENSE file in the root of the project for details.
 *
 * https://github.com/DevExpress/devextreme-angular
 */
import { NestedOption } from 'devextreme-angular/core';
import DevExpress from 'devextreme/bundles/dx.all';
import { UserDefinedElement } from 'devextreme/core/element';
import { DataGridPredefinedToolbarItem } from 'devextreme/ui/data_grid';
import { FileManagerPredefinedToolbarItem } from 'devextreme/ui/file_manager';
import { GanttPredefinedToolbarItem } from 'devextreme/ui/gantt';
import { HtmlEditorPredefinedToolbarItem } from 'devextreme/ui/html_editor';
import { TreeListPredefinedToolbarItem } from 'devextreme/ui/tree_list';
import * as i0 from "@angular/core";
export declare abstract class DxoDataGridToolbar extends NestedOption {
    get disabled(): boolean;
    set disabled(value: boolean);
    get items(): Array<DataGridPredefinedToolbarItem | DevExpress.ui.dxDataGrid.dxDataGridToolbarItem | FileManagerPredefinedToolbarItem | DevExpress.ui.dxFileManagerToolbarItem | GanttPredefinedToolbarItem | DevExpress.ui.dxGanttToolbarItem | HtmlEditorPredefinedToolbarItem | DevExpress.ui.dxHtmlEditorToolbarItem | TreeListPredefinedToolbarItem | DevExpress.ui.dxTreeList.dxTreeListToolbarItem>;
    set items(value: Array<DataGridPredefinedToolbarItem | DevExpress.ui.dxDataGrid.dxDataGridToolbarItem | FileManagerPredefinedToolbarItem | DevExpress.ui.dxFileManagerToolbarItem | GanttPredefinedToolbarItem | DevExpress.ui.dxGanttToolbarItem | HtmlEditorPredefinedToolbarItem | DevExpress.ui.dxHtmlEditorToolbarItem | TreeListPredefinedToolbarItem | DevExpress.ui.dxTreeList.dxTreeListToolbarItem>);
    get visible(): boolean | undefined;
    set visible(value: boolean | undefined);
    get fileSelectionItems(): Array<FileManagerPredefinedToolbarItem | DevExpress.ui.dxFileManagerToolbarItem>;
    set fileSelectionItems(value: Array<FileManagerPredefinedToolbarItem | DevExpress.ui.dxFileManagerToolbarItem>);
    get container(): string | UserDefinedElement;
    set container(value: string | UserDefinedElement);
    get multiline(): boolean;
    set multiline(value: boolean);
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoDataGridToolbar, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DxoDataGridToolbar, "ng-component", never, {}, {}, never, never>;
}
