/*!
 * devextreme-angular
 * Version: 23.2.6-build-24091-0113
 * Build date: Sun Mar 31 2024
 *
 * Copyright (c) 2012 - 2024 Developer Express Inc. ALL RIGHTS RESERVED
 *
 * This software may be modified and distributed under the terms
 * of the MIT license. See the LICENSE file in the root of the project for details.
 *
 * https://github.com/DevExpress/devextreme-angular
 */
import { NestedOption } from 'devextreme-angular/core';
import { Format } from 'devextreme/common';
import * as i0 from "@angular/core";
export declare abstract class DxoFormat extends NestedOption {
    get currency(): string;
    set currency(value: string);
    get formatter(): Function;
    set formatter(value: Function);
    get parser(): Function;
    set parser(value: Function);
    get precision(): number;
    set precision(value: number);
    get type(): Format | string;
    set type(value: Format | string);
    get useCurrencyAccountingStyle(): boolean;
    set useCurrencyAccountingStyle(value: boolean);
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoFormat, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DxoFormat, "ng-component", never, {}, {}, never, never>;
}
