/*!
 * devextreme-angular
 * Version: 23.2.6-build-24091-0113
 * Build date: Sun Mar 31 2024
 *
 * Copyright (c) 2012 - 2024 Developer Express Inc. ALL RIGHTS RESERVED
 *
 * This software may be modified and distributed under the terms
 * of the MIT license. See the LICENSE file in the root of the project for details.
 *
 * https://github.com/DevExpress/devextreme-angular
 */
import { CollectionNestedOption } from 'devextreme-angular/core';
import { Store } from 'devextreme/data';
import DataSource, { Options as DataSourceOptions } from 'devextreme/data/data_source';
import * as i0 from "@angular/core";
export declare abstract class DxiHtmlEditorMention extends CollectionNestedOption {
    get dataSource(): DataSource | DataSourceOptions | Store | null | string | Array<any>;
    set dataSource(value: DataSource | DataSourceOptions | Store | null | string | Array<any>);
    get displayExpr(): Function | string;
    set displayExpr(value: Function | string);
    get itemTemplate(): any;
    set itemTemplate(value: any);
    get marker(): string;
    set marker(value: string);
    get minSearchLength(): number;
    set minSearchLength(value: number);
    get searchExpr(): Function | string | Array<Function | string>;
    set searchExpr(value: Function | string | Array<Function | string>);
    get searchTimeout(): number;
    set searchTimeout(value: number);
    get template(): any;
    set template(value: any);
    get valueExpr(): Function | string;
    set valueExpr(value: Function | string);
    static ɵfac: i0.ɵɵFactoryDeclaration<DxiHtmlEditorMention, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DxiHtmlEditorMention, "ng-component", never, {}, {}, never, never>;
}
