/*!
 * devextreme-angular
 * Version: 23.2.6-build-24091-0113
 * Build date: Sun Mar 31 2024
 *
 * Copyright (c) 2012 - 2024 Developer Express Inc. ALL RIGHTS RESERVED
 *
 * This software may be modified and distributed under the terms
 * of the MIT license. See the LICENSE file in the root of the project for details.
 *
 * https://github.com/DevExpress/devextreme-angular
 */
import { NestedOption } from 'devextreme-angular/core';
import { HtmlEditorPredefinedContextMenuItem } from 'devextreme/ui/html_editor';
import * as i0 from "@angular/core";
export declare abstract class DxoHtmlEditorTableContextMenu extends NestedOption {
    get enabled(): boolean;
    set enabled(value: boolean);
    get items(): Array<HtmlEditorPredefinedContextMenuItem | any | {
        beginGroup?: boolean;
        closeMenuOnClick?: boolean;
        disabled?: boolean;
        icon?: string;
        items?: Array<HtmlEditorPredefinedContextMenuItem | any>;
        name?: HtmlEditorPredefinedContextMenuItem | undefined;
        selectable?: boolean;
        selected?: boolean;
        template?: any;
        text?: string;
        visible?: boolean;
    }>;
    set items(value: Array<HtmlEditorPredefinedContextMenuItem | any | {
        beginGroup?: boolean;
        closeMenuOnClick?: boolean;
        disabled?: boolean;
        icon?: string;
        items?: Array<HtmlEditorPredefinedContextMenuItem | any>;
        name?: HtmlEditorPredefinedContextMenuItem | undefined;
        selectable?: boolean;
        selected?: boolean;
        template?: any;
        text?: string;
        visible?: boolean;
    }>);
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoHtmlEditorTableContextMenu, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DxoHtmlEditorTableContextMenu, "ng-component", never, {}, {}, never, never>;
}
