/*!
 * devextreme-angular
 * Version: 23.2.6-build-24091-0113
 * Build date: Sun Mar 31 2024
 *
 * Copyright (c) 2012 - 2024 Developer Express Inc. ALL RIGHTS RESERVED
 *
 * This software may be modified and distributed under the terms
 * of the MIT license. See the LICENSE file in the root of the project for details.
 *
 * https://github.com/DevExpress/devextreme-angular
 */
import { NestedOption } from 'devextreme-angular/core';
import * as i0 from "@angular/core";
export declare abstract class DxoHtmlEditorTableResizing extends NestedOption {
    get enabled(): boolean;
    set enabled(value: boolean);
    get minColumnWidth(): number;
    set minColumnWidth(value: number);
    get minRowHeight(): number;
    set minRowHeight(value: number);
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoHtmlEditorTableResizing, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DxoHtmlEditorTableResizing, "ng-component", never, {}, {}, never, never>;
}
