/*!
 * devextreme-angular
 * Version: 23.2.6-build-24091-0113
 * Build date: Sun Mar 31 2024
 *
 * Copyright (c) 2012 - 2024 Developer Express Inc. ALL RIGHTS RESERVED
 *
 * This software may be modified and distributed under the terms
 * of the MIT license. See the LICENSE file in the root of the project for details.
 *
 * https://github.com/DevExpress/devextreme-angular
 */
import { NestedOption } from 'devextreme-angular/core';
import { Mode, ScrollbarMode, ScrollMode } from 'devextreme/common';
import { DataRenderMode } from 'devextreme/common/grids';
import { DataGridScrollMode } from 'devextreme/ui/data_grid';
import * as i0 from "@angular/core";
export declare abstract class DxoSchedulerScrolling extends NestedOption {
    get columnRenderingMode(): DataRenderMode;
    set columnRenderingMode(value: DataRenderMode);
    get mode(): DataGridScrollMode | ScrollMode;
    set mode(value: DataGridScrollMode | ScrollMode);
    get preloadEnabled(): boolean;
    set preloadEnabled(value: boolean);
    get renderAsync(): boolean | undefined;
    set renderAsync(value: boolean | undefined);
    get rowRenderingMode(): DataRenderMode;
    set rowRenderingMode(value: DataRenderMode);
    get scrollByContent(): boolean;
    set scrollByContent(value: boolean);
    get scrollByThumb(): boolean;
    set scrollByThumb(value: boolean);
    get showScrollbar(): ScrollbarMode;
    set showScrollbar(value: ScrollbarMode);
    get useNative(): Mode | boolean;
    set useNative(value: Mode | boolean);
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoSchedulerScrolling, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DxoSchedulerScrolling, "ng-component", never, {}, {}, never, never>;
}
