/*!
 * devextreme-angular
 * Version: 23.2.6-build-24091-0113
 * Build date: Sun Mar 31 2024
 *
 * Copyright (c) 2012 - 2024 Developer Express Inc. ALL RIGHTS RESERVED
 *
 * This software may be modified and distributed under the terms
 * of the MIT license. See the LICENSE file in the root of the project for details.
 *
 * https://github.com/DevExpress/devextreme-angular
 */
import { OnInit, OnDestroy } from '@angular/core';
import { DashStyle } from 'devextreme/common/charts';
import { NestedOptionHost } from 'devextreme-angular/core';
import { NestedOption } from 'devextreme-angular/core';
import * as i0 from "@angular/core";
export declare class DxoBorderComponent extends NestedOption implements OnDestroy, OnInit {
    get color(): string | undefined;
    set color(value: string | undefined);
    get cornerRadius(): number;
    set cornerRadius(value: number);
    get dashStyle(): DashStyle | undefined;
    set dashStyle(value: DashStyle | undefined);
    get opacity(): number | undefined;
    set opacity(value: number | undefined);
    get visible(): boolean | undefined;
    set visible(value: boolean | undefined);
    get width(): number | undefined;
    set width(value: number | undefined);
    get bottom(): boolean;
    set bottom(value: boolean);
    get left(): boolean;
    set left(value: boolean);
    get right(): boolean;
    set right(value: boolean);
    get top(): boolean;
    set top(value: boolean);
    protected get _optionPath(): string;
    constructor(parentOptionHost: NestedOptionHost, optionHost: NestedOptionHost);
    ngOnInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoBorderComponent, [{ host: true; skipSelf: true; }, { host: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DxoBorderComponent, "dxo-border", never, { "color": "color"; "cornerRadius": "cornerRadius"; "dashStyle": "dashStyle"; "opacity": "opacity"; "visible": "visible"; "width": "width"; "bottom": "bottom"; "left": "left"; "right": "right"; "top": "top"; }, {}, never, never>;
}
export declare class DxoBorderModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoBorderModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<DxoBorderModule, [typeof DxoBorderComponent], never, [typeof DxoBorderComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<DxoBorderModule>;
}
