/*!
 * devextreme-angular
 * Version: 23.2.6-build-24091-0113
 * Build date: Sun Mar 31 2024
 *
 * Copyright (c) 2012 - 2024 Developer Express Inc. ALL RIGHTS RESERVED
 *
 * This software may be modified and distributed under the terms
 * of the MIT license. See the LICENSE file in the root of the project for details.
 *
 * https://github.com/DevExpress/devextreme-angular
 */
import { QueryList } from '@angular/core';
import { NestedOptionHost } from 'devextreme-angular/core';
import { DxiDiagramCustomCommand } from './base/diagram-custom-command-dxi';
import { DxiItemComponent } from './item-dxi';
import * as i0 from "@angular/core";
export declare class DxiCommandComponent extends DxiDiagramCustomCommand {
    protected get _optionPath(): string;
    get itemsChildren(): QueryList<DxiItemComponent>;
    set itemsChildren(value: QueryList<DxiItemComponent>);
    constructor(parentOptionHost: NestedOptionHost, optionHost: NestedOptionHost);
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DxiCommandComponent, [{ host: true; skipSelf: true; }, { host: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DxiCommandComponent, "dxi-command", never, { "icon": "icon"; "items": "items"; "location": "location"; "name": "name"; "text": "text"; }, {}, ["itemsChildren"], never>;
}
export declare class DxiCommandModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<DxiCommandModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<DxiCommandModule, [typeof DxiCommandComponent], never, [typeof DxiCommandComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<DxiCommandModule>;
}
