/*!
 * devextreme-angular
 * Version: 23.2.6-build-24091-0113
 * Build date: Sun Mar 31 2024
 *
 * Copyright (c) 2012 - 2024 Developer Express Inc. ALL RIGHTS RESERVED
 *
 * This software may be modified and distributed under the terms
 * of the MIT license. See the LICENSE file in the root of the project for details.
 *
 * https://github.com/DevExpress/devextreme-angular
 */
import { OnInit, OnDestroy } from '@angular/core';
import { NestedOptionHost } from 'devextreme-angular/core';
import { DxoChartCommonAnnotationConfig } from './base/chart-common-annotation-config';
import * as i0 from "@angular/core";
export declare class DxoCommonAnnotationSettingsComponent extends DxoChartCommonAnnotationConfig implements OnDestroy, OnInit {
    protected get _optionPath(): string;
    constructor(parentOptionHost: NestedOptionHost, optionHost: NestedOptionHost);
    ngOnInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoCommonAnnotationSettingsComponent, [{ host: true; skipSelf: true; }, { host: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DxoCommonAnnotationSettingsComponent, "dxo-common-annotation-settings", never, { "allowDragging": "allowDragging"; "argument": "argument"; "arrowLength": "arrowLength"; "arrowWidth": "arrowWidth"; "axis": "axis"; "border": "border"; "color": "color"; "customizeTooltip": "customizeTooltip"; "data": "data"; "description": "description"; "font": "font"; "height": "height"; "image": "image"; "offsetX": "offsetX"; "offsetY": "offsetY"; "opacity": "opacity"; "paddingLeftRight": "paddingLeftRight"; "paddingTopBottom": "paddingTopBottom"; "series": "series"; "shadow": "shadow"; "template": "template"; "text": "text"; "textOverflow": "textOverflow"; "tooltipEnabled": "tooltipEnabled"; "tooltipTemplate": "tooltipTemplate"; "type": "type"; "value": "value"; "width": "width"; "wordWrap": "wordWrap"; "x": "x"; "y": "y"; "location": "location"; "angle": "angle"; "radius": "radius"; "coordinates": "coordinates"; }, {}, never, never>;
}
export declare class DxoCommonAnnotationSettingsModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoCommonAnnotationSettingsModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<DxoCommonAnnotationSettingsModule, [typeof DxoCommonAnnotationSettingsComponent], never, [typeof DxoCommonAnnotationSettingsComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<DxoCommonAnnotationSettingsModule>;
}
