/*!
 * devextreme-angular
 * Version: 23.2.6-build-24091-0113
 * Build date: Sun Mar 31 2024
 *
 * Copyright (c) 2012 - 2024 Developer Express Inc. ALL RIGHTS RESERVED
 *
 * This software may be modified and distributed under the terms
 * of the MIT license. See the LICENSE file in the root of the project for details.
 *
 * https://github.com/DevExpress/devextreme-angular
 */
import { OnInit, OnDestroy } from '@angular/core';
import { DiagramShapeCategory, DiagramShapeType, DiagramToolboxDisplayMode } from 'devextreme/ui/diagram';
import { NestedOptionHost } from 'devextreme-angular/core';
import { NestedOption } from 'devextreme-angular/core';
import * as i0 from "@angular/core";
export declare class DxoContextToolboxComponent extends NestedOption implements OnDestroy, OnInit {
    get category(): DiagramShapeCategory | string;
    set category(value: DiagramShapeCategory | string);
    get displayMode(): DiagramToolboxDisplayMode;
    set displayMode(value: DiagramToolboxDisplayMode);
    get enabled(): boolean;
    set enabled(value: boolean);
    get shapeIconsPerRow(): number;
    set shapeIconsPerRow(value: number);
    get shapes(): Array<DiagramShapeType | string>;
    set shapes(value: Array<DiagramShapeType | string>);
    get width(): number;
    set width(value: number);
    protected get _optionPath(): string;
    constructor(parentOptionHost: NestedOptionHost, optionHost: NestedOptionHost);
    ngOnInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoContextToolboxComponent, [{ host: true; skipSelf: true; }, { host: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DxoContextToolboxComponent, "dxo-context-toolbox", never, { "category": "category"; "displayMode": "displayMode"; "enabled": "enabled"; "shapeIconsPerRow": "shapeIconsPerRow"; "shapes": "shapes"; "width": "width"; }, {}, never, never>;
}
export declare class DxoContextToolboxModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoContextToolboxModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<DxoContextToolboxModule, [typeof DxoContextToolboxComponent], never, [typeof DxoContextToolboxComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<DxoContextToolboxModule>;
}
