/*!
 * devextreme-angular
 * Version: 23.2.6-build-24091-0113
 * Build date: Sun Mar 31 2024
 *
 * Copyright (c) 2012 - 2024 Developer Express Inc. ALL RIGHTS RESERVED
 *
 * This software may be modified and distributed under the terms
 * of the MIT license. See the LICENSE file in the root of the project for details.
 *
 * https://github.com/DevExpress/devextreme-angular
 */
import { OnInit, OnDestroy } from '@angular/core';
import { HorizontalAlignment, VerticalEdge } from 'devextreme/common';
import { NestedOptionHost } from 'devextreme-angular/core';
import { NestedOption } from 'devextreme-angular/core';
import * as i0 from "@angular/core";
export declare class DxoControlBarComponent extends NestedOption implements OnDestroy, OnInit {
    get borderColor(): string;
    set borderColor(value: string);
    get color(): string;
    set color(value: string);
    get enabled(): boolean;
    set enabled(value: boolean);
    get horizontalAlignment(): HorizontalAlignment;
    set horizontalAlignment(value: HorizontalAlignment);
    get margin(): number;
    set margin(value: number);
    get opacity(): number;
    set opacity(value: number);
    get panVisible(): boolean;
    set panVisible(value: boolean);
    get verticalAlignment(): VerticalEdge;
    set verticalAlignment(value: VerticalEdge);
    get zoomVisible(): boolean;
    set zoomVisible(value: boolean);
    protected get _optionPath(): string;
    constructor(parentOptionHost: NestedOptionHost, optionHost: NestedOptionHost);
    ngOnInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoControlBarComponent, [{ host: true; skipSelf: true; }, { host: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DxoControlBarComponent, "dxo-control-bar", never, { "borderColor": "borderColor"; "color": "color"; "enabled": "enabled"; "horizontalAlignment": "horizontalAlignment"; "margin": "margin"; "opacity": "opacity"; "panVisible": "panVisible"; "verticalAlignment": "verticalAlignment"; "zoomVisible": "zoomVisible"; }, {}, never, never>;
}
export declare class DxoControlBarModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoControlBarModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<DxoControlBarModule, [typeof DxoControlBarComponent], never, [typeof DxoControlBarComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<DxoControlBarModule>;
}
