/*!
 * devextreme-angular
 * Version: 23.2.6-build-24091-0113
 * Build date: Sun Mar 31 2024
 *
 * Copyright (c) 2012 - 2024 Developer Express Inc. ALL RIGHTS RESERVED
 *
 * This software may be modified and distributed under the terms
 * of the MIT license. See the LICENSE file in the root of the project for details.
 *
 * https://github.com/DevExpress/devextreme-angular
 */
import { OnInit, OnDestroy } from '@angular/core';
import { DiagramConnectorLineEnd, DiagramConnectorLineType } from 'devextreme/ui/diagram';
import { NestedOptionHost } from 'devextreme-angular/core';
import { NestedOption } from 'devextreme-angular/core';
import * as i0 from "@angular/core";
export declare class DxoDefaultItemPropertiesComponent extends NestedOption implements OnDestroy, OnInit {
    get connectorLineEnd(): DiagramConnectorLineEnd;
    set connectorLineEnd(value: DiagramConnectorLineEnd);
    get connectorLineStart(): DiagramConnectorLineEnd;
    set connectorLineStart(value: DiagramConnectorLineEnd);
    get connectorLineType(): DiagramConnectorLineType;
    set connectorLineType(value: DiagramConnectorLineType);
    get shapeMaxHeight(): number | undefined;
    set shapeMaxHeight(value: number | undefined);
    get shapeMaxWidth(): number | undefined;
    set shapeMaxWidth(value: number | undefined);
    get shapeMinHeight(): number | undefined;
    set shapeMinHeight(value: number | undefined);
    get shapeMinWidth(): number | undefined;
    set shapeMinWidth(value: number | undefined);
    get style(): any;
    set style(value: any);
    get textStyle(): any;
    set textStyle(value: any);
    protected get _optionPath(): string;
    constructor(parentOptionHost: NestedOptionHost, optionHost: NestedOptionHost);
    ngOnInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoDefaultItemPropertiesComponent, [{ host: true; skipSelf: true; }, { host: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DxoDefaultItemPropertiesComponent, "dxo-default-item-properties", never, { "connectorLineEnd": "connectorLineEnd"; "connectorLineStart": "connectorLineStart"; "connectorLineType": "connectorLineType"; "shapeMaxHeight": "shapeMaxHeight"; "shapeMaxWidth": "shapeMaxWidth"; "shapeMinHeight": "shapeMinHeight"; "shapeMinWidth": "shapeMinWidth"; "style": "style"; "textStyle": "textStyle"; }, {}, never, never>;
}
export declare class DxoDefaultItemPropertiesModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoDefaultItemPropertiesModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<DxoDefaultItemPropertiesModule, [typeof DxoDefaultItemPropertiesComponent], never, [typeof DxoDefaultItemPropertiesComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<DxoDefaultItemPropertiesModule>;
}
