/*!
 * devextreme-angular
 * Version: 23.2.6-build-24091-0113
 * Build date: Sun Mar 31 2024
 *
 * Copyright (c) 2012 - 2024 Developer Express Inc. ALL RIGHTS RESERVED
 *
 * This software may be modified and distributed under the terms
 * of the MIT license. See the LICENSE file in the root of the project for details.
 *
 * https://github.com/DevExpress/devextreme-angular
 */
import { OnInit, OnDestroy, QueryList } from '@angular/core';
import DevExpress from 'devextreme/bundles/dx.all';
import { NestedOptionHost } from 'devextreme-angular/core';
import { NestedOption } from 'devextreme-angular/core';
import { DxiColumnComponent } from './column-dxi';
import * as i0 from "@angular/core";
export declare class DxoDetailsComponent extends NestedOption implements OnDestroy, OnInit {
    get columns(): Array<DevExpress.ui.dxFileManagerDetailsColumn | string>;
    set columns(value: Array<DevExpress.ui.dxFileManagerDetailsColumn | string>);
    protected get _optionPath(): string;
    get columnsChildren(): QueryList<DxiColumnComponent>;
    set columnsChildren(value: QueryList<DxiColumnComponent>);
    constructor(parentOptionHost: NestedOptionHost, optionHost: NestedOptionHost);
    ngOnInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoDetailsComponent, [{ host: true; skipSelf: true; }, { host: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DxoDetailsComponent, "dxo-details", never, { "columns": "columns"; }, {}, ["columnsChildren"], never>;
}
export declare class DxoDetailsModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoDetailsModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<DxoDetailsModule, [typeof DxoDetailsComponent], never, [typeof DxoDetailsComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<DxoDetailsModule>;
}
