/*!
 * devextreme-angular
 * Version: 23.2.6-build-24091-0113
 * Build date: Sun Mar 31 2024
 *
 * Copyright (c) 2012 - 2024 Developer Express Inc. ALL RIGHTS RESERVED
 *
 * This software may be modified and distributed under the terms
 * of the MIT license. See the LICENSE file in the root of the project for details.
 *
 * https://github.com/DevExpress/devextreme-angular
 */
import { OnInit, OnDestroy } from '@angular/core';
import { NestedOptionHost } from 'devextreme-angular/core';
import { NestedOption } from 'devextreme-angular/core';
import * as i0 from "@angular/core";
export declare class DxoDragBoxStyleComponent extends NestedOption implements OnDestroy, OnInit {
    get color(): string | undefined;
    set color(value: string | undefined);
    get opacity(): number | undefined;
    set opacity(value: number | undefined);
    protected get _optionPath(): string;
    constructor(parentOptionHost: NestedOptionHost, optionHost: NestedOptionHost);
    ngOnInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoDragBoxStyleComponent, [{ host: true; skipSelf: true; }, { host: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DxoDragBoxStyleComponent, "dxo-drag-box-style", never, { "color": "color"; "opacity": "opacity"; }, {}, never, never>;
}
export declare class DxoDragBoxStyleModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoDragBoxStyleModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<DxoDragBoxStyleModule, [typeof DxoDragBoxStyleComponent], never, [typeof DxoDragBoxStyleComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<DxoDragBoxStyleModule>;
}
