/*!
 * devextreme-angular
 * Version: 23.2.6-build-24091-0113
 * Build date: Sun Mar 31 2024
 *
 * Copyright (c) 2012 - 2024 Developer Express Inc. ALL RIGHTS RESERVED
 *
 * This software may be modified and distributed under the terms
 * of the MIT license. See the LICENSE file in the root of the project for details.
 *
 * https://github.com/DevExpress/devextreme-angular
 */
import { OnInit, OnDestroy } from '@angular/core';
import { NestedOptionHost } from 'devextreme-angular/core';
import { NestedOption } from 'devextreme-angular/core';
import * as i0 from "@angular/core";
export declare class DxoFieldPanelComponent extends NestedOption implements OnDestroy, OnInit {
    get allowFieldDragging(): boolean;
    set allowFieldDragging(value: boolean);
    get showColumnFields(): boolean;
    set showColumnFields(value: boolean);
    get showDataFields(): boolean;
    set showDataFields(value: boolean);
    get showFilterFields(): boolean;
    set showFilterFields(value: boolean);
    get showRowFields(): boolean;
    set showRowFields(value: boolean);
    get texts(): {
        columnFieldArea?: string;
        dataFieldArea?: string;
        filterFieldArea?: string;
        rowFieldArea?: string;
    };
    set texts(value: {
        columnFieldArea?: string;
        dataFieldArea?: string;
        filterFieldArea?: string;
        rowFieldArea?: string;
    });
    get visible(): boolean;
    set visible(value: boolean);
    protected get _optionPath(): string;
    constructor(parentOptionHost: NestedOptionHost, optionHost: NestedOptionHost);
    ngOnInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoFieldPanelComponent, [{ host: true; skipSelf: true; }, { host: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DxoFieldPanelComponent, "dxo-field-panel", never, { "allowFieldDragging": "allowFieldDragging"; "showColumnFields": "showColumnFields"; "showDataFields": "showDataFields"; "showFilterFields": "showFilterFields"; "showRowFields": "showRowFields"; "texts": "texts"; "visible": "visible"; }, {}, never, never>;
}
export declare class DxoFieldPanelModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoFieldPanelModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<DxoFieldPanelModule, [typeof DxoFieldPanelComponent], never, [typeof DxoFieldPanelComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<DxoFieldPanelModule>;
}
