/*!
 * devextreme-angular
 * Version: 23.2.6-build-24091-0113
 * Build date: Sun Mar 31 2024
 *
 * Copyright (c) 2012 - 2024 Developer Express Inc. ALL RIGHTS RESERVED
 *
 * This software may be modified and distributed under the terms
 * of the MIT license. See the LICENSE file in the root of the project for details.
 *
 * https://github.com/DevExpress/devextreme-angular
 */
import { OnInit, OnDestroy, EventEmitter } from '@angular/core';
import { NestedOptionHost } from 'devextreme-angular/core';
import { NestedOption } from 'devextreme-angular/core';
import * as i0 from "@angular/core";
export declare class DxoGridSizeComponent extends NestedOption implements OnDestroy, OnInit {
    get items(): Array<number>;
    set items(value: Array<number>);
    get value(): number;
    set value(value: number);
    /**
    
     * This member supports the internal infrastructure and is not intended to be used directly from your code.
    
     */
    valueChange: EventEmitter<number>;
    protected get _optionPath(): string;
    constructor(parentOptionHost: NestedOptionHost, optionHost: NestedOptionHost);
    ngOnInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoGridSizeComponent, [{ host: true; skipSelf: true; }, { host: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DxoGridSizeComponent, "dxo-grid-size", never, { "items": "items"; "value": "value"; }, { "valueChange": "valueChange"; }, never, never>;
}
export declare class DxoGridSizeModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoGridSizeModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<DxoGridSizeModule, [typeof DxoGridSizeComponent], never, [typeof DxoGridSizeComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<DxoGridSizeModule>;
}
