/*!
 * devextreme-angular
 * Version: 23.2.6-build-24091-0113
 * Build date: Sun Mar 31 2024
 *
 * Copyright (c) 2012 - 2024 Developer Express Inc. ALL RIGHTS RESERVED
 *
 * This software may be modified and distributed under the terms
 * of the MIT license. See the LICENSE file in the root of the project for details.
 *
 * https://github.com/DevExpress/devextreme-angular
 */
import { OnInit, OnDestroy } from '@angular/core';
import { BackgroundImageLocation } from 'devextreme/viz/range_selector';
import { NestedOptionHost } from 'devextreme-angular/core';
import { NestedOption } from 'devextreme-angular/core';
import * as i0 from "@angular/core";
export declare class DxoImageComponent extends NestedOption implements OnDestroy, OnInit {
    get height(): number | {
        rangeMaxPoint?: number | undefined;
        rangeMinPoint?: number | undefined;
    };
    set height(value: number | {
        rangeMaxPoint?: number | undefined;
        rangeMinPoint?: number | undefined;
    });
    get url(): string | undefined | {
        rangeMaxPoint?: string | undefined;
        rangeMinPoint?: string | undefined;
    };
    set url(value: string | undefined | {
        rangeMaxPoint?: string | undefined;
        rangeMinPoint?: string | undefined;
    });
    get width(): number | {
        rangeMaxPoint?: number | undefined;
        rangeMinPoint?: number | undefined;
    };
    set width(value: number | {
        rangeMaxPoint?: number | undefined;
        rangeMinPoint?: number | undefined;
    });
    get location(): BackgroundImageLocation;
    set location(value: BackgroundImageLocation);
    protected get _optionPath(): string;
    constructor(parentOptionHost: NestedOptionHost, optionHost: NestedOptionHost);
    ngOnInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoImageComponent, [{ host: true; skipSelf: true; }, { host: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DxoImageComponent, "dxo-image", never, { "height": "height"; "url": "url"; "width": "width"; "location": "location"; }, {}, never, never>;
}
export declare class DxoImageModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoImageModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<DxoImageModule, [typeof DxoImageComponent], never, [typeof DxoImageComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<DxoImageModule>;
}
