/*!
 * devextreme-angular
 * Version: 23.2.6-build-24091-0113
 * Build date: Sun Mar 31 2024
 *
 * Copyright (c) 2012 - 2024 Developer Express Inc. ALL RIGHTS RESERVED
 *
 * This software may be modified and distributed under the terms
 * of the MIT license. See the LICENSE file in the root of the project for details.
 *
 * https://github.com/DevExpress/devextreme-angular
 */
import { OnInit, OnDestroy } from '@angular/core';
import { Format } from 'devextreme/localization';
import { NestedOptionHost } from 'devextreme-angular/core';
import { NestedOption } from 'devextreme-angular/core';
import * as i0 from "@angular/core";
export declare class DxoMarkerComponent extends NestedOption implements OnDestroy, OnInit {
    get label(): {
        customizeText?: Function;
        format?: Format | string | undefined;
    };
    set label(value: {
        customizeText?: Function;
        format?: Format | string | undefined;
    });
    get separatorHeight(): number;
    set separatorHeight(value: number);
    get textLeftIndent(): number;
    set textLeftIndent(value: number);
    get textTopIndent(): number;
    set textTopIndent(value: number);
    get topIndent(): number;
    set topIndent(value: number);
    get visible(): boolean;
    set visible(value: boolean);
    protected get _optionPath(): string;
    constructor(parentOptionHost: NestedOptionHost, optionHost: NestedOptionHost);
    ngOnInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoMarkerComponent, [{ host: true; skipSelf: true; }, { host: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DxoMarkerComponent, "dxo-marker", never, { "label": "label"; "separatorHeight": "separatorHeight"; "textLeftIndent": "textLeftIndent"; "textTopIndent": "textTopIndent"; "topIndent": "topIndent"; "visible": "visible"; }, {}, never, never>;
}
export declare class DxoMarkerModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoMarkerModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<DxoMarkerModule, [typeof DxoMarkerComponent], never, [typeof DxoMarkerComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<DxoMarkerModule>;
}
