/*!
 * devextreme-angular
 * Version: 23.2.6-build-24091-0113
 * Build date: Sun Mar 31 2024
 *
 * Copyright (c) 2012 - 2024 Developer Express Inc. ALL RIGHTS RESERVED
 *
 * This software may be modified and distributed under the terms
 * of the MIT license. See the LICENSE file in the root of the project for details.
 *
 * https://github.com/DevExpress/devextreme-angular
 */
import { OnInit, OnDestroy, ElementRef, Renderer2, AfterViewInit } from '@angular/core';
import { NestedOptionHost, DxTemplateDirective, IDxTemplateHost, DxTemplateHost } from 'devextreme-angular/core';
import { NestedOption } from 'devextreme-angular/core';
import * as i0 from "@angular/core";
export declare class DxoMasterDetailComponent extends NestedOption implements AfterViewInit, OnDestroy, OnInit, IDxTemplateHost {
    private renderer;
    private document;
    private element;
    get autoExpandAll(): boolean;
    set autoExpandAll(value: boolean);
    get enabled(): boolean;
    set enabled(value: boolean);
    get template(): any;
    set template(value: any);
    protected get _optionPath(): string;
    constructor(parentOptionHost: NestedOptionHost, optionHost: NestedOptionHost, renderer: Renderer2, document: any, templateHost: DxTemplateHost, element: ElementRef);
    setTemplate(template: DxTemplateDirective): void;
    ngAfterViewInit(): void;
    ngOnInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoMasterDetailComponent, [{ host: true; skipSelf: true; }, { host: true; }, null, null, { host: true; }, null]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DxoMasterDetailComponent, "dxo-master-detail", never, { "autoExpandAll": "autoExpandAll"; "enabled": "enabled"; "template": "template"; }, {}, never, ["*"]>;
}
export declare class DxoMasterDetailModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoMasterDetailModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<DxoMasterDetailModule, [typeof DxoMasterDetailComponent], never, [typeof DxoMasterDetailComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<DxoMasterDetailModule>;
}
