/*!
 * devextreme-angular
 * Version: 23.2.6-build-24091-0113
 * Build date: Sun Mar 31 2024
 *
 * Copyright (c) 2012 - 2024 Developer Express Inc. ALL RIGHTS RESERVED
 *
 * This software may be modified and distributed under the terms
 * of the MIT license. See the LICENSE file in the root of the project for details.
 *
 * https://github.com/DevExpress/devextreme-angular
 */
import { OnInit, OnDestroy } from '@angular/core';
import { NestedOptionHost } from 'devextreme-angular/core';
import { NestedOption } from 'devextreme-angular/core';
import * as i0 from "@angular/core";
export declare class DxoMaxRangeComponent extends NestedOption implements OnDestroy, OnInit {
    get days(): number;
    set days(value: number);
    get hours(): number;
    set hours(value: number);
    get milliseconds(): number;
    set milliseconds(value: number);
    get minutes(): number;
    set minutes(value: number);
    get months(): number;
    set months(value: number);
    get quarters(): number;
    set quarters(value: number);
    get seconds(): number;
    set seconds(value: number);
    get weeks(): number;
    set weeks(value: number);
    get years(): number;
    set years(value: number);
    protected get _optionPath(): string;
    constructor(parentOptionHost: NestedOptionHost, optionHost: NestedOptionHost);
    ngOnInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoMaxRangeComponent, [{ host: true; skipSelf: true; }, { host: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DxoMaxRangeComponent, "dxo-max-range", never, { "days": "days"; "hours": "hours"; "milliseconds": "milliseconds"; "minutes": "minutes"; "months": "months"; "quarters": "quarters"; "seconds": "seconds"; "weeks": "weeks"; "years": "years"; }, {}, never, never>;
}
export declare class DxoMaxRangeModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoMaxRangeModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<DxoMaxRangeModule, [typeof DxoMaxRangeComponent], never, [typeof DxoMaxRangeComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<DxoMaxRangeModule>;
}
