/*!
 * devextreme-angular
 * Version: 23.2.6-build-24091-0113
 * Build date: Sun Mar 31 2024
 *
 * Copyright (c) 2012 - 2024 Developer Express Inc. ALL RIGHTS RESERVED
 *
 * This software may be modified and distributed under the terms
 * of the MIT license. See the LICENSE file in the root of the project for details.
 *
 * https://github.com/DevExpress/devextreme-angular
 */
import { OnInit, OnDestroy } from '@angular/core';
import { NestedOptionHost } from 'devextreme-angular/core';
import { NestedOption } from 'devextreme-angular/core';
import * as i0 from "@angular/core";
export declare class DxoMinorTickComponent extends NestedOption implements OnDestroy, OnInit {
    get color(): string;
    set color(value: string);
    get length(): number;
    set length(value: number);
    get opacity(): number;
    set opacity(value: number);
    get shift(): number;
    set shift(value: number);
    get visible(): boolean;
    set visible(value: boolean);
    get width(): number;
    set width(value: number);
    protected get _optionPath(): string;
    constructor(parentOptionHost: NestedOptionHost, optionHost: NestedOptionHost);
    ngOnInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoMinorTickComponent, [{ host: true; skipSelf: true; }, { host: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DxoMinorTickComponent, "dxo-minor-tick", never, { "color": "color"; "length": "length"; "opacity": "opacity"; "shift": "shift"; "visible": "visible"; "width": "width"; }, {}, never, never>;
}
export declare class DxoMinorTickModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoMinorTickModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<DxoMinorTickModule, [typeof DxoMinorTickComponent], never, [typeof DxoMinorTickComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<DxoMinorTickModule>;
}
