/*!
 * devextreme-angular
 * Version: 23.2.6-build-24091-0113
 * Build date: Sun Mar 31 2024
 *
 * Copyright (c) 2012 - 2024 Developer Express Inc. ALL RIGHTS RESERVED
 *
 * This software may be modified and distributed under the terms
 * of the MIT license. See the LICENSE file in the root of the project for details.
 *
 * https://github.com/DevExpress/devextreme-angular
 */
import { OnInit, OnDestroy } from '@angular/core';
import { FinancialChartReductionLevel } from 'devextreme/viz/chart';
import { NestedOptionHost } from 'devextreme-angular/core';
import { NestedOption } from 'devextreme-angular/core';
import * as i0 from "@angular/core";
export declare class DxoReductionComponent extends NestedOption implements OnDestroy, OnInit {
    get color(): string;
    set color(value: string);
    get level(): FinancialChartReductionLevel;
    set level(value: FinancialChartReductionLevel);
    protected get _optionPath(): string;
    constructor(parentOptionHost: NestedOptionHost, optionHost: NestedOptionHost);
    ngOnInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoReductionComponent, [{ host: true; skipSelf: true; }, { host: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DxoReductionComponent, "dxo-reduction", never, { "color": "color"; "level": "level"; }, {}, never, never>;
}
export declare class DxoReductionModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoReductionModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<DxoReductionModule, [typeof DxoReductionComponent], never, [typeof DxoReductionComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<DxoReductionModule>;
}
