/*!
 * devextreme-angular
 * Version: 23.2.6-build-24091-0113
 * Build date: Sun Mar 31 2024
 *
 * Copyright (c) 2012 - 2024 Developer Express Inc. ALL RIGHTS RESERVED
 *
 * This software may be modified and distributed under the terms
 * of the MIT license. See the LICENSE file in the root of the project for details.
 *
 * https://github.com/DevExpress/devextreme-angular
 */
import { OnInit, OnDestroy } from '@angular/core';
import { NestedOptionHost } from 'devextreme-angular/core';
import { NestedOption } from 'devextreme-angular/core';
import * as i0 from "@angular/core";
export declare class DxoRemoteOperationsComponent extends NestedOption implements OnDestroy, OnInit {
    get filtering(): boolean;
    set filtering(value: boolean);
    get grouping(): boolean;
    set grouping(value: boolean);
    get groupPaging(): boolean;
    set groupPaging(value: boolean);
    get paging(): boolean;
    set paging(value: boolean);
    get sorting(): boolean;
    set sorting(value: boolean);
    get summary(): boolean;
    set summary(value: boolean);
    protected get _optionPath(): string;
    constructor(parentOptionHost: NestedOptionHost, optionHost: NestedOptionHost);
    ngOnInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoRemoteOperationsComponent, [{ host: true; skipSelf: true; }, { host: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DxoRemoteOperationsComponent, "dxo-remote-operations", never, { "filtering": "filtering"; "grouping": "grouping"; "groupPaging": "groupPaging"; "paging": "paging"; "sorting": "sorting"; "summary": "summary"; }, {}, never, never>;
}
export declare class DxoRemoteOperationsModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoRemoteOperationsModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<DxoRemoteOperationsModule, [typeof DxoRemoteOperationsComponent], never, [typeof DxoRemoteOperationsComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<DxoRemoteOperationsModule>;
}
