/*!
 * devextreme-angular
 * Version: 23.2.6-build-24091-0113
 * Build date: Sun Mar 31 2024
 *
 * Copyright (c) 2012 - 2024 Developer Express Inc. ALL RIGHTS RESERVED
 *
 * This software may be modified and distributed under the terms
 * of the MIT license. See the LICENSE file in the root of the project for details.
 *
 * https://github.com/DevExpress/devextreme-angular
 */
import { OnInit, OnDestroy } from '@angular/core';
import { GanttScaleType } from 'devextreme/ui/gantt';
import { NestedOptionHost } from 'devextreme-angular/core';
import { NestedOption } from 'devextreme-angular/core';
import * as i0 from "@angular/core";
export declare class DxoScaleTypeRangeComponent extends NestedOption implements OnDestroy, OnInit {
    get max(): GanttScaleType;
    set max(value: GanttScaleType);
    get min(): GanttScaleType;
    set min(value: GanttScaleType);
    protected get _optionPath(): string;
    constructor(parentOptionHost: NestedOptionHost, optionHost: NestedOptionHost);
    ngOnInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoScaleTypeRangeComponent, [{ host: true; skipSelf: true; }, { host: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DxoScaleTypeRangeComponent, "dxo-scale-type-range", never, { "max": "max"; "min": "min"; }, {}, never, never>;
}
export declare class DxoScaleTypeRangeModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoScaleTypeRangeModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<DxoScaleTypeRangeModule, [typeof DxoScaleTypeRangeComponent], never, [typeof DxoScaleTypeRangeComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<DxoScaleTypeRangeModule>;
}
