/*!
 * devextreme-angular
 * Version: 23.2.6-build-24091-0113
 * Build date: Sun Mar 31 2024
 *
 * Copyright (c) 2012 - 2024 Developer Express Inc. ALL RIGHTS RESERVED
 *
 * This software may be modified and distributed under the terms
 * of the MIT license. See the LICENSE file in the root of the project for details.
 *
 * https://github.com/DevExpress/devextreme-angular
 */
import { OnInit, OnDestroy } from '@angular/core';
import { NestedOptionHost } from 'devextreme-angular/core';
import { DxoColumnChooserSelectionConfig } from './base/column-chooser-selection-config';
import * as i0 from "@angular/core";
export declare class DxoSelectionComponent extends DxoColumnChooserSelectionConfig implements OnDestroy, OnInit {
    protected get _optionPath(): string;
    constructor(parentOptionHost: NestedOptionHost, optionHost: NestedOptionHost);
    ngOnInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoSelectionComponent, [{ host: true; skipSelf: true; }, { host: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DxoSelectionComponent, "dxo-selection", never, { "allowSelectAll": "allowSelectAll"; "recursive": "recursive"; "selectByClick": "selectByClick"; "deferred": "deferred"; "mode": "mode"; "selectAllMode": "selectAllMode"; "showCheckBoxesMode": "showCheckBoxesMode"; }, {}, never, never>;
}
export declare class DxoSelectionModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoSelectionModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<DxoSelectionModule, [typeof DxoSelectionComponent], never, [typeof DxoSelectionComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<DxoSelectionModule>;
}
