/*!
 * devextreme-angular
 * Version: 23.2.6-build-24091-0113
 * Build date: Sun Mar 31 2024
 *
 * Copyright (c) 2012 - 2024 Developer Express Inc. ALL RIGHTS RESERVED
 *
 * This software may be modified and distributed under the terms
 * of the MIT license. See the LICENSE file in the root of the project for details.
 *
 * https://github.com/DevExpress/devextreme-angular
 */
import { OnInit, OnDestroy } from '@angular/core';
import { NestedOptionHost } from 'devextreme-angular/core';
import { DxoAnimationConfig } from './base/animation-config';
import * as i0 from "@angular/core";
export declare class DxoShowComponent extends DxoAnimationConfig implements OnDestroy, OnInit {
    protected get _optionPath(): string;
    constructor(parentOptionHost: NestedOptionHost, optionHost: NestedOptionHost);
    ngOnInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoShowComponent, [{ host: true; skipSelf: true; }, { host: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DxoShowComponent, "dxo-show", never, { "complete": "complete"; "delay": "delay"; "direction": "direction"; "duration": "duration"; "easing": "easing"; "from": "from"; "staggerDelay": "staggerDelay"; "start": "start"; "to": "to"; "type": "type"; }, {}, never, never>;
}
export declare class DxoShowModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoShowModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<DxoShowModule, [typeof DxoShowComponent], never, [typeof DxoShowComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<DxoShowModule>;
}
