/*!
 * devextreme-angular
 * Version: 23.2.6-build-24091-0113
 * Build date: Sun Mar 31 2024
 *
 * Copyright (c) 2012 - 2024 Developer Express Inc. ALL RIGHTS RESERVED
 *
 * This software may be modified and distributed under the terms
 * of the MIT license. See the LICENSE file in the root of the project for details.
 *
 * https://github.com/DevExpress/devextreme-angular
 */
import { OnInit, OnDestroy } from '@angular/core';
import { SmallValuesGroupingMode } from 'devextreme/viz/pie_chart';
import { NestedOptionHost } from 'devextreme-angular/core';
import { NestedOption } from 'devextreme-angular/core';
import * as i0 from "@angular/core";
export declare class DxoSmallValuesGroupingComponent extends NestedOption implements OnDestroy, OnInit {
    get groupName(): string;
    set groupName(value: string);
    get mode(): SmallValuesGroupingMode;
    set mode(value: SmallValuesGroupingMode);
    get threshold(): number | undefined;
    set threshold(value: number | undefined);
    get topCount(): number | undefined;
    set topCount(value: number | undefined);
    protected get _optionPath(): string;
    constructor(parentOptionHost: NestedOptionHost, optionHost: NestedOptionHost);
    ngOnInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoSmallValuesGroupingComponent, [{ host: true; skipSelf: true; }, { host: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DxoSmallValuesGroupingComponent, "dxo-small-values-grouping", never, { "groupName": "groupName"; "mode": "mode"; "threshold": "threshold"; "topCount": "topCount"; }, {}, never, never>;
}
export declare class DxoSmallValuesGroupingModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoSmallValuesGroupingModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<DxoSmallValuesGroupingModule, [typeof DxoSmallValuesGroupingComponent], never, [typeof DxoSmallValuesGroupingComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<DxoSmallValuesGroupingModule>;
}
