/*!
 * devextreme-angular
 * Version: 23.2.6-build-24091-0113
 * Build date: Sun Mar 31 2024
 *
 * Copyright (c) 2012 - 2024 Developer Express Inc. ALL RIGHTS RESERVED
 *
 * This software may be modified and distributed under the terms
 * of the MIT license. See the LICENSE file in the root of the project for details.
 *
 * https://github.com/DevExpress/devextreme-angular
 */
import { OnInit, OnDestroy } from '@angular/core';
import { Font, TextOverflow, WordWrap } from 'devextreme/common/charts';
import { NestedOptionHost } from 'devextreme-angular/core';
import { NestedOption } from 'devextreme-angular/core';
import * as i0 from "@angular/core";
export declare class DxoSubtitleComponent extends NestedOption implements OnDestroy, OnInit {
    get font(): Font;
    set font(value: Font);
    get offset(): number;
    set offset(value: number);
    get text(): string;
    set text(value: string);
    get textOverflow(): TextOverflow;
    set textOverflow(value: TextOverflow);
    get wordWrap(): WordWrap;
    set wordWrap(value: WordWrap);
    protected get _optionPath(): string;
    constructor(parentOptionHost: NestedOptionHost, optionHost: NestedOptionHost);
    ngOnInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoSubtitleComponent, [{ host: true; skipSelf: true; }, { host: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DxoSubtitleComponent, "dxo-subtitle", never, { "font": "font"; "offset": "offset"; "text": "text"; "textOverflow": "textOverflow"; "wordWrap": "wordWrap"; }, {}, never, never>;
}
export declare class DxoSubtitleModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoSubtitleModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<DxoSubtitleModule, [typeof DxoSubtitleComponent], never, [typeof DxoSubtitleComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<DxoSubtitleModule>;
}
