/*!
 * devextreme-angular
 * Version: 23.2.6-build-24091-0113
 * Build date: Sun Mar 31 2024
 *
 * Copyright (c) 2012 - 2024 Developer Express Inc. ALL RIGHTS RESERVED
 *
 * This software may be modified and distributed under the terms
 * of the MIT license. See the LICENSE file in the root of the project for details.
 *
 * https://github.com/DevExpress/devextreme-angular
 */
import { OnInit, OnDestroy } from '@angular/core';
import { NestedOptionHost } from 'devextreme-angular/core';
import { NestedOption } from 'devextreme-angular/core';
import * as i0 from "@angular/core";
export declare class DxoUrlComponent extends NestedOption implements OnDestroy, OnInit {
    get rangeMaxPoint(): string | undefined;
    set rangeMaxPoint(value: string | undefined);
    get rangeMinPoint(): string | undefined;
    set rangeMinPoint(value: string | undefined);
    protected get _optionPath(): string;
    constructor(parentOptionHost: NestedOptionHost, optionHost: NestedOptionHost);
    ngOnInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoUrlComponent, [{ host: true; skipSelf: true; }, { host: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DxoUrlComponent, "dxo-url", never, { "rangeMaxPoint": "rangeMaxPoint"; "rangeMinPoint": "rangeMinPoint"; }, {}, never, never>;
}
export declare class DxoUrlModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoUrlModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<DxoUrlModule, [typeof DxoUrlComponent], never, [typeof DxoUrlComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<DxoUrlModule>;
}
