/*!
 * devextreme-angular
 * Version: 23.2.6-build-24091-0113
 * Build date: Sun Mar 31 2024
 *
 * Copyright (c) 2012 - 2024 Developer Express Inc. ALL RIGHTS RESERVED
 *
 * This software may be modified and distributed under the terms
 * of the MIT license. See the LICENSE file in the root of the project for details.
 *
 * https://github.com/DevExpress/devextreme-angular
 */
import { OnInit, OnDestroy } from '@angular/core';
import { NestedOptionHost } from 'devextreme-angular/core';
import { NestedOption } from 'devextreme-angular/core';
import * as i0 from "@angular/core";
export declare class DxoValidationComponent extends NestedOption implements OnDestroy, OnInit {
    get autoUpdateParentTasks(): boolean;
    set autoUpdateParentTasks(value: boolean);
    get enablePredecessorGap(): boolean;
    set enablePredecessorGap(value: boolean);
    get validateDependencies(): boolean;
    set validateDependencies(value: boolean);
    protected get _optionPath(): string;
    constructor(parentOptionHost: NestedOptionHost, optionHost: NestedOptionHost);
    ngOnInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoValidationComponent, [{ host: true; skipSelf: true; }, { host: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DxoValidationComponent, "dxo-validation", never, { "autoUpdateParentTasks": "autoUpdateParentTasks"; "enablePredecessorGap": "enablePredecessorGap"; "validateDependencies": "validateDependencies"; }, {}, never, never>;
}
export declare class DxoValidationModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoValidationModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<DxoValidationModule, [typeof DxoValidationComponent], never, [typeof DxoValidationComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<DxoValidationModule>;
}
