/*!
 * devextreme-angular
 * Version: 23.2.6-build-24091-0113
 * Build date: Sun Mar 31 2024
 *
 * Copyright (c) 2012 - 2024 Developer Express Inc. ALL RIGHTS RESERVED
 *
 * This software may be modified and distributed under the terms
 * of the MIT license. See the LICENSE file in the root of the project for details.
 *
 * https://github.com/DevExpress/devextreme-angular
 */
import { OnInit, OnDestroy } from '@angular/core';
import { NestedOptionHost } from 'devextreme-angular/core';
import { DxoGaugeIndicator } from './base/gauge-indicator';
import * as i0 from "@angular/core";
export declare class DxoValueIndicatorComponent extends DxoGaugeIndicator implements OnDestroy, OnInit {
    protected get _optionPath(): string;
    constructor(parentOptionHost: NestedOptionHost, optionHost: NestedOptionHost);
    ngOnInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoValueIndicatorComponent, [{ host: true; skipSelf: true; }, { host: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DxoValueIndicatorComponent, "dxo-value-indicator", never, { "arrowLength": "arrowLength"; "backgroundColor": "backgroundColor"; "baseValue": "baseValue"; "beginAdaptingAtRadius": "beginAdaptingAtRadius"; "color": "color"; "horizontalOrientation": "horizontalOrientation"; "indentFromCenter": "indentFromCenter"; "length": "length"; "offset": "offset"; "palette": "palette"; "secondColor": "secondColor"; "secondFraction": "secondFraction"; "size": "size"; "spindleGapSize": "spindleGapSize"; "spindleSize": "spindleSize"; "text": "text"; "type": "type"; "verticalOrientation": "verticalOrientation"; "width": "width"; }, {}, never, never>;
}
export declare class DxoValueIndicatorModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoValueIndicatorModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<DxoValueIndicatorModule, [typeof DxoValueIndicatorComponent], never, [typeof DxoValueIndicatorComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<DxoValueIndicatorModule>;
}
