/*!
 * devextreme-angular
 * Version: 23.2.6-build-24091-0113
 * Build date: Sun Mar 31 2024
 *
 * Copyright (c) 2012 - 2024 Developer Express Inc. ALL RIGHTS RESERVED
 *
 * This software may be modified and distributed under the terms
 * of the MIT license. See the LICENSE file in the root of the project for details.
 *
 * https://github.com/DevExpress/devextreme-angular
 */
import { OnInit, OnDestroy } from '@angular/core';
import { NestedOptionHost } from 'devextreme-angular/core';
import { NestedOption } from 'devextreme-angular/core';
import * as i0 from "@angular/core";
export declare class DxoWidthComponent extends NestedOption implements OnDestroy, OnInit {
    get rangeMaxPoint(): number | undefined;
    set rangeMaxPoint(value: number | undefined);
    get rangeMinPoint(): number | undefined;
    set rangeMinPoint(value: number | undefined);
    get end(): number;
    set end(value: number);
    get start(): number;
    set start(value: number);
    protected get _optionPath(): string;
    constructor(parentOptionHost: NestedOptionHost, optionHost: NestedOptionHost);
    ngOnInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoWidthComponent, [{ host: true; skipSelf: true; }, { host: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DxoWidthComponent, "dxo-width", never, { "rangeMaxPoint": "rangeMaxPoint"; "rangeMinPoint": "rangeMinPoint"; "end": "end"; "start": "start"; }, {}, never, never>;
}
export declare class DxoWidthModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoWidthModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<DxoWidthModule, [typeof DxoWidthComponent], never, [typeof DxoWidthComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<DxoWidthModule>;
}
