/*!
 * devextreme-angular
 * Version: 23.2.6-build-24091-0113
 * Build date: Sun Mar 31 2024
 *
 * Copyright (c) 2012 - 2024 Developer Express Inc. ALL RIGHTS RESERVED
 *
 * This software may be modified and distributed under the terms
 * of the MIT license. See the LICENSE file in the root of the project for details.
 *
 * https://github.com/DevExpress/devextreme-angular
 */
import { EventEmitter, NgZone } from '@angular/core';
import { DxComponent } from './component';
export declare class NgEventsStrategy {
    private readonly instance;
    private readonly zone;
    private subscriptions;
    private events;
    constructor(instance: any, zone: NgZone);
    hasEvent(name: string): boolean;
    fireEvent(name: any, args: any): void;
    on(name: string | Object, handler?: Function): void;
    off(name: any, handler: any): void;
    dispose(): void;
    addEmitter(eventName: string, emitter: EventEmitter<any>): void;
    private getEmitter;
}
export declare class EmitterHelper {
    private readonly zone;
    private component;
    lockedValueChangeEvent: boolean;
    constructor(zone: NgZone, component: DxComponent);
    fireNgEvent(eventName: string, eventArgs: any): void;
    createEmitters(events: any[]): void;
}
