/*!
 * devextreme-angular
 * Version: 23.2.6-build-24091-0113
 * Build date: Sun Mar 31 2024
 *
 * Copyright (c) 2012 - 2024 Developer Express Inc. ALL RIGHTS RESERVED
 *
 * This software may be modified and distributed under the terms
 * of the MIT license. See the LICENSE file in the root of the project for details.
 *
 * https://github.com/DevExpress/devextreme-angular
 */
import { SimpleChanges, IterableDiffers } from '@angular/core';
import { DxComponent } from './component';
import * as i0 from "@angular/core";
export declare class IterableDifferHelper {
    private readonly _differs;
    private _host;
    private _propertyDiffers;
    constructor(_differs: IterableDiffers);
    setHost(host: DxComponent): void;
    setup(prop: string, changes: SimpleChanges): void;
    setupSingle(prop: string, value: any): boolean;
    getChanges(prop: string, value: any): any;
    checkChangedOptions(propName: string, hostValue: any): boolean;
    doCheck(prop: string): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<IterableDifferHelper, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<IterableDifferHelper>;
}
