/*!
 * devextreme-angular
 * Version: 23.2.6-build-24091-0113
 * Build date: Sun Mar 31 2024
 *
 * Copyright (c) 2012 - 2024 Developer Express Inc. ALL RIGHTS RESERVED
 *
 * This software may be modified and distributed under the terms
 * of the MIT license. See the LICENSE file in the root of the project for details.
 *
 * https://github.com/DevExpress/devextreme-angular
 */
import { OnInit, OnDestroy } from '@angular/core';
import { ChartSeriesAggregationMethod } from 'devextreme/viz/chart';
import { NestedOptionHost } from 'devextreme-angular/core';
import { NestedOption } from 'devextreme-angular/core';
import * as i0 from "@angular/core";
export declare class DxoAggregationComponent extends NestedOption implements OnDestroy, OnInit {
    get calculate(): Function | undefined;
    set calculate(value: Function | undefined);
    get enabled(): boolean;
    set enabled(value: boolean);
    get method(): ChartSeriesAggregationMethod;
    set method(value: ChartSeriesAggregationMethod);
    protected get _optionPath(): string;
    constructor(parentOptionHost: NestedOptionHost, optionHost: NestedOptionHost);
    ngOnInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoAggregationComponent, [{ host: true; skipSelf: true; }, { host: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DxoAggregationComponent, "dxo-aggregation", never, { "calculate": "calculate"; "enabled": "enabled"; "method": "method"; }, {}, never, never>;
}
export declare class DxoAggregationModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoAggregationModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<DxoAggregationModule, [typeof DxoAggregationComponent], never, [typeof DxoAggregationComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<DxoAggregationModule>;
}
