/*!
 * devextreme-angular
 * Version: 23.2.6-build-24091-0113
 * Build date: Sun Mar 31 2024
 *
 * Copyright (c) 2012 - 2024 Developer Express Inc. ALL RIGHTS RESERVED
 *
 * This software may be modified and distributed under the terms
 * of the MIT license. See the LICENSE file in the root of the project for details.
 *
 * https://github.com/DevExpress/devextreme-angular
 */
import { OnInit, OnDestroy } from '@angular/core';
import { NestedOptionHost } from 'devextreme-angular/core';
import { NestedOption } from 'devextreme-angular/core';
import * as i0 from "@angular/core";
export declare class DxoAppointmentDraggingComponent extends NestedOption implements OnDestroy, OnInit {
    get autoScroll(): boolean;
    set autoScroll(value: boolean);
    get data(): any | undefined;
    set data(value: any | undefined);
    get group(): string | undefined;
    set group(value: string | undefined);
    get onAdd(): Function;
    set onAdd(value: Function);
    get onDragEnd(): Function;
    set onDragEnd(value: Function);
    get onDragMove(): Function;
    set onDragMove(value: Function);
    get onDragStart(): Function;
    set onDragStart(value: Function);
    get onRemove(): Function;
    set onRemove(value: Function);
    get scrollSensitivity(): number;
    set scrollSensitivity(value: number);
    get scrollSpeed(): number;
    set scrollSpeed(value: number);
    protected get _optionPath(): string;
    constructor(parentOptionHost: NestedOptionHost, optionHost: NestedOptionHost);
    ngOnInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoAppointmentDraggingComponent, [{ host: true; skipSelf: true; }, { host: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DxoAppointmentDraggingComponent, "dxo-appointment-dragging", never, { "autoScroll": "autoScroll"; "data": "data"; "group": "group"; "onAdd": "onAdd"; "onDragEnd": "onDragEnd"; "onDragMove": "onDragMove"; "onDragStart": "onDragStart"; "onRemove": "onRemove"; "scrollSensitivity": "scrollSensitivity"; "scrollSpeed": "scrollSpeed"; }, {}, never, never>;
}
export declare class DxoAppointmentDraggingModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoAppointmentDraggingModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<DxoAppointmentDraggingModule, [typeof DxoAppointmentDraggingComponent], never, [typeof DxoAppointmentDraggingComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<DxoAppointmentDraggingModule>;
}
