/*!
 * devextreme-angular
 * Version: 23.2.6-build-24091-0113
 * Build date: Sun Mar 31 2024
 *
 * Copyright (c) 2012 - 2024 Developer Express Inc. ALL RIGHTS RESERVED
 *
 * This software may be modified and distributed under the terms
 * of the MIT license. See the LICENSE file in the root of the project for details.
 *
 * https://github.com/DevExpress/devextreme-angular
 */
import { NestedOption } from 'devextreme-angular/core';
import { PositionConfig } from 'devextreme/animation/position';
import * as i0 from "@angular/core";
export declare abstract class DxoAnimationState extends NestedOption {
    get left(): number;
    set left(value: number);
    get opacity(): number;
    set opacity(value: number);
    get position(): PositionConfig;
    set position(value: PositionConfig);
    get scale(): number;
    set scale(value: number);
    get top(): number;
    set top(value: number);
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoAnimationState, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DxoAnimationState, "ng-component", never, {}, {}, never, never>;
}
