/*!
 * devextreme-angular
 * Version: 23.2.6-build-24091-0113
 * Build date: Sun Mar 31 2024
 *
 * Copyright (c) 2012 - 2024 Developer Express Inc. ALL RIGHTS RESERVED
 *
 * This software may be modified and distributed under the terms
 * of the MIT license. See the LICENSE file in the root of the project for details.
 *
 * https://github.com/DevExpress/devextreme-angular
 */
import { CollectionNestedOption } from 'devextreme-angular/core';
import DevExpress from 'devextreme/bundles/dx.all';
import { ToolbarItemLocation } from 'devextreme/common';
import { DiagramCommand } from 'devextreme/ui/diagram';
import * as i0 from "@angular/core";
export declare abstract class DxiDiagramCustomCommand extends CollectionNestedOption {
    get icon(): string;
    set icon(value: string);
    get items(): Array<DevExpress.ui.dxDiagramCustomCommand>;
    set items(value: Array<DevExpress.ui.dxDiagramCustomCommand>);
    get location(): ToolbarItemLocation;
    set location(value: ToolbarItemLocation);
    get name(): DiagramCommand | string;
    set name(value: DiagramCommand | string);
    get text(): string;
    set text(value: string);
    static ɵfac: i0.ɵɵFactoryDeclaration<DxiDiagramCustomCommand, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DxiDiagramCustomCommand, "ng-component", never, {}, {}, never, never>;
}
