/*!
 * devextreme-angular
 * Version: 23.2.6-build-24091-0113
 * Build date: Sun Mar 31 2024
 *
 * Copyright (c) 2012 - 2024 Developer Express Inc. ALL RIGHTS RESERVED
 *
 * This software may be modified and distributed under the terms
 * of the MIT license. See the LICENSE file in the root of the project for details.
 *
 * https://github.com/DevExpress/devextreme-angular
 */
import { NestedOption } from 'devextreme-angular/core';
import DevExpress from 'devextreme/bundles/dx.all';
import { DiagramCommand } from 'devextreme/ui/diagram';
import { FileManagerPredefinedContextMenuItem } from 'devextreme/ui/file_manager';
import { GanttPredefinedContextMenuItem } from 'devextreme/ui/gantt';
import * as i0 from "@angular/core";
export declare abstract class DxoFileManagerContextMenu extends NestedOption {
    get commands(): Array<DiagramCommand | DevExpress.ui.dxDiagramCustomCommand>;
    set commands(value: Array<DiagramCommand | DevExpress.ui.dxDiagramCustomCommand>);
    get enabled(): boolean;
    set enabled(value: boolean);
    get items(): Array<FileManagerPredefinedContextMenuItem | DevExpress.ui.dxFileManagerContextMenuItem | GanttPredefinedContextMenuItem | any | {
        beginGroup?: boolean;
        closeMenuOnClick?: boolean;
        disabled?: boolean;
        icon?: string;
        items?: Array<DevExpress.ui.dxContextMenuItem>;
        name?: GanttPredefinedContextMenuItem | string;
        selectable?: boolean;
        selected?: boolean;
        template?: any;
        text?: string;
        visible?: boolean;
    }>;
    set items(value: Array<FileManagerPredefinedContextMenuItem | DevExpress.ui.dxFileManagerContextMenuItem | GanttPredefinedContextMenuItem | any | {
        beginGroup?: boolean;
        closeMenuOnClick?: boolean;
        disabled?: boolean;
        icon?: string;
        items?: Array<DevExpress.ui.dxContextMenuItem>;
        name?: GanttPredefinedContextMenuItem | string;
        selectable?: boolean;
        selected?: boolean;
        template?: any;
        text?: string;
        visible?: boolean;
    }>);
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoFileManagerContextMenu, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DxoFileManagerContextMenu, "ng-component", never, {}, {}, never, never>;
}
