/*!
 * devextreme-angular
 * Version: 23.2.6-build-24091-0113
 * Build date: Sun Mar 31 2024
 *
 * Copyright (c) 2012 - 2024 Developer Express Inc. ALL RIGHTS RESERVED
 *
 * This software may be modified and distributed under the terms
 * of the MIT license. See the LICENSE file in the root of the project for details.
 *
 * https://github.com/DevExpress/devextreme-angular
 */
import { CollectionNestedOption } from 'devextreme-angular/core';
import { ToolbarItemComponent, ToolbarItemLocation } from 'devextreme/common';
import { FileManagerPredefinedToolbarItem } from 'devextreme/ui/file_manager';
import { LocateInMenuMode, ShowTextMode } from 'devextreme/ui/toolbar';
import * as i0 from "@angular/core";
export declare abstract class DxiFileManagerToolbarItem extends CollectionNestedOption {
    get cssClass(): string | undefined;
    set cssClass(value: string | undefined);
    get disabled(): boolean;
    set disabled(value: boolean);
    get icon(): string;
    set icon(value: string);
    get locateInMenu(): LocateInMenuMode;
    set locateInMenu(value: LocateInMenuMode);
    get location(): ToolbarItemLocation;
    set location(value: ToolbarItemLocation);
    get name(): FileManagerPredefinedToolbarItem | string;
    set name(value: FileManagerPredefinedToolbarItem | string);
    get options(): any;
    set options(value: any);
    get showText(): ShowTextMode;
    set showText(value: ShowTextMode);
    get text(): string;
    set text(value: string);
    get visible(): boolean | undefined;
    set visible(value: boolean | undefined);
    get widget(): ToolbarItemComponent;
    set widget(value: ToolbarItemComponent);
    static ɵfac: i0.ɵɵFactoryDeclaration<DxiFileManagerToolbarItem, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DxiFileManagerToolbarItem, "ng-component", never, {}, {}, never, never>;
}
