/*!
 * devextreme-angular
 * Version: 23.2.6-build-24091-0113
 * Build date: Sun Mar 31 2024
 *
 * Copyright (c) 2012 - 2024 Developer Express Inc. ALL RIGHTS RESERVED
 *
 * This software may be modified and distributed under the terms
 * of the MIT license. See the LICENSE file in the root of the project for details.
 *
 * https://github.com/DevExpress/devextreme-angular
 */
import { CollectionNestedOption } from 'devextreme-angular/core';
import { DataType } from 'devextreme/common';
import * as i0 from "@angular/core";
export declare abstract class DxiFilterBuilderCustomOperation extends CollectionNestedOption {
    get calculateFilterExpression(): Function;
    set calculateFilterExpression(value: Function);
    get caption(): string | undefined;
    set caption(value: string | undefined);
    get customizeText(): Function;
    set customizeText(value: Function);
    get dataTypes(): any | undefined | Array<DataType>;
    set dataTypes(value: any | undefined | Array<DataType>);
    get editorTemplate(): any;
    set editorTemplate(value: any);
    get hasValue(): boolean;
    set hasValue(value: boolean);
    get icon(): string | undefined;
    set icon(value: string | undefined);
    get name(): string | undefined;
    set name(value: string | undefined);
    static ɵfac: i0.ɵɵFactoryDeclaration<DxiFilterBuilderCustomOperation, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DxiFilterBuilderCustomOperation, "ng-component", never, {}, {}, never, never>;
}
