/*!
 * devextreme-angular
 * Version: 23.2.6-build-24091-0113
 * Build date: Sun Mar 31 2024
 *
 * Copyright (c) 2012 - 2024 Developer Express Inc. ALL RIGHTS RESERVED
 *
 * This software may be modified and distributed under the terms
 * of the MIT license. See the LICENSE file in the root of the project for details.
 *
 * https://github.com/DevExpress/devextreme-angular
 */
import { NestedOption } from 'devextreme-angular/core';
import * as i0 from "@angular/core";
export declare abstract class DxoGanttHeaderFilterTexts extends NestedOption {
    get fix(): string;
    set fix(value: string);
    get leftPosition(): string;
    set leftPosition(value: string);
    get rightPosition(): string;
    set rightPosition(value: string);
    get unfix(): string;
    set unfix(value: string);
    get addRow(): string;
    set addRow(value: string);
    get cancelAllChanges(): string;
    set cancelAllChanges(value: string);
    get cancelRowChanges(): string;
    set cancelRowChanges(value: string);
    get confirmDeleteMessage(): string;
    set confirmDeleteMessage(value: string);
    get confirmDeleteTitle(): string;
    set confirmDeleteTitle(value: string);
    get deleteRow(): string;
    set deleteRow(value: string);
    get editRow(): string;
    set editRow(value: string);
    get saveAllChanges(): string;
    set saveAllChanges(value: string);
    get saveRowChanges(): string;
    set saveRowChanges(value: string);
    get undeleteRow(): string;
    set undeleteRow(value: string);
    get validationCancelChanges(): string;
    set validationCancelChanges(value: string);
    get exportAll(): string;
    set exportAll(value: string);
    get exportSelectedRows(): string;
    set exportSelectedRows(value: string);
    get exportTo(): string;
    set exportTo(value: string);
    get clearFilter(): string;
    set clearFilter(value: string);
    get createFilter(): string;
    set createFilter(value: string);
    get filterEnabledHint(): string;
    set filterEnabledHint(value: string);
    get groupByThisColumn(): string;
    set groupByThisColumn(value: string);
    get groupContinuedMessage(): string;
    set groupContinuedMessage(value: string);
    get groupContinuesMessage(): string;
    set groupContinuesMessage(value: string);
    get ungroup(): string;
    set ungroup(value: string);
    get ungroupAll(): string;
    set ungroupAll(value: string);
    get cancel(): string;
    set cancel(value: string);
    get emptyValue(): string;
    set emptyValue(value: string);
    get ok(): string;
    set ok(value: string);
    get avg(): string;
    set avg(value: string);
    get avgOtherColumn(): string;
    set avgOtherColumn(value: string);
    get count(): string;
    set count(value: string);
    get max(): string;
    set max(value: string);
    get maxOtherColumn(): string;
    set maxOtherColumn(value: string);
    get min(): string;
    set min(value: string);
    get minOtherColumn(): string;
    set minOtherColumn(value: string);
    get sum(): string;
    set sum(value: string);
    get sumOtherColumn(): string;
    set sumOtherColumn(value: string);
    get allFields(): string;
    set allFields(value: string);
    get columnFields(): string;
    set columnFields(value: string);
    get dataFields(): string;
    set dataFields(value: string);
    get filterFields(): string;
    set filterFields(value: string);
    get rowFields(): string;
    set rowFields(value: string);
    get columnFieldArea(): string;
    set columnFieldArea(value: string);
    get dataFieldArea(): string;
    set dataFieldArea(value: string);
    get filterFieldArea(): string;
    set filterFieldArea(value: string);
    get rowFieldArea(): string;
    set rowFieldArea(value: string);
    get collapseAll(): string;
    set collapseAll(value: string);
    get dataNotAvailable(): string;
    set dataNotAvailable(value: string);
    get expandAll(): string;
    set expandAll(value: string);
    get exportToExcel(): string;
    set exportToExcel(value: string);
    get grandTotal(): string;
    set grandTotal(value: string);
    get noData(): string;
    set noData(value: string);
    get removeAllSorting(): string;
    set removeAllSorting(value: string);
    get showFieldChooser(): string;
    set showFieldChooser(value: string);
    get sortColumnBySummary(): string;
    set sortColumnBySummary(value: string);
    get sortRowBySummary(): string;
    set sortRowBySummary(value: string);
    get total(): string;
    set total(value: string);
    get addRowToNode(): string;
    set addRowToNode(value: string);
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoGanttHeaderFilterTexts, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DxoGanttHeaderFilterTexts, "ng-component", never, {}, {}, never, never>;
}
