/*!
 * devextreme-angular
 * Version: 23.2.6-build-24091-0113
 * Build date: Sun Mar 31 2024
 *
 * Copyright (c) 2012 - 2024 Developer Express Inc. ALL RIGHTS RESERVED
 *
 * This software may be modified and distributed under the terms
 * of the MIT license. See the LICENSE file in the root of the project for details.
 *
 * https://github.com/DevExpress/devextreme-angular
 */
import { NestedOption } from 'devextreme-angular/core';
import { SingleMultipleOrNone } from 'devextreme/common';
import * as i0 from "@angular/core";
export declare abstract class DxoGanttSorting extends NestedOption {
    get ascendingText(): string;
    set ascendingText(value: string);
    get clearText(): string;
    set clearText(value: string);
    get descendingText(): string;
    set descendingText(value: string);
    get mode(): SingleMultipleOrNone | string;
    set mode(value: SingleMultipleOrNone | string);
    get showSortIndexes(): boolean;
    set showSortIndexes(value: boolean);
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoGanttSorting, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DxoGanttSorting, "ng-component", never, {}, {}, never, never>;
}
