/*!
 * devextreme-angular
 * Version: 23.2.6-build-24091-0113
 * Build date: Sun Mar 31 2024
 *
 * Copyright (c) 2012 - 2024 Developer Express Inc. ALL RIGHTS RESERVED
 *
 * This software may be modified and distributed under the terms
 * of the MIT license. See the LICENSE file in the root of the project for details.
 *
 * https://github.com/DevExpress/devextreme-angular
 */
import { CollectionNestedOption } from 'devextreme-angular/core';
import * as i0 from "@angular/core";
export declare abstract class DxiGanttStripLine extends CollectionNestedOption {
    get cssClass(): string | undefined;
    set cssClass(value: string | undefined);
    get end(): Date | number | Function | string | undefined;
    set end(value: Date | number | Function | string | undefined);
    get start(): Date | number | Function | string | undefined;
    set start(value: Date | number | Function | string | undefined);
    get title(): string | undefined;
    set title(value: string | undefined);
    static ɵfac: i0.ɵɵFactoryDeclaration<DxiGanttStripLine, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DxiGanttStripLine, "ng-component", never, {}, {}, never, never>;
}
