/*!
 * devextreme-angular
 * Version: 23.2.6-build-24091-0113
 * Build date: Sun Mar 31 2024
 *
 * Copyright (c) 2012 - 2024 Developer Express Inc. ALL RIGHTS RESERVED
 *
 * This software may be modified and distributed under the terms
 * of the MIT license. See the LICENSE file in the root of the project for details.
 *
 * https://github.com/DevExpress/devextreme-angular
 */
import { CollectionNestedOption } from 'devextreme-angular/core';
import DevExpress from 'devextreme/bundles/dx.all';
import { DiagramCommand } from 'devextreme/ui/diagram';
import { HtmlEditorImageUploadTab } from 'devextreme/ui/html_editor';
import * as i0 from "@angular/core";
export declare abstract class DxiHtmlEditorImageUploadTabItem extends CollectionNestedOption {
    get alignItemLabels(): boolean;
    set alignItemLabels(value: boolean);
    get badge(): string | undefined;
    set badge(value: string | undefined);
    get colCount(): number;
    set colCount(value: number);
    get colCountByScreen(): {
        lg?: number | undefined;
        md?: number | undefined;
        sm?: number | undefined;
        xs?: number | undefined;
    };
    set colCountByScreen(value: {
        lg?: number | undefined;
        md?: number | undefined;
        sm?: number | undefined;
        xs?: number | undefined;
    });
    get disabled(): boolean;
    set disabled(value: boolean);
    get icon(): string | undefined;
    set icon(value: string | undefined);
    get items(): Array<DevExpress.ui.dxFormSimpleItem | DevExpress.ui.dxFormGroupItem | DevExpress.ui.dxFormTabbedItem | DevExpress.ui.dxFormEmptyItem | DevExpress.ui.dxFormButtonItem>;
    set items(value: Array<DevExpress.ui.dxFormSimpleItem | DevExpress.ui.dxFormGroupItem | DevExpress.ui.dxFormTabbedItem | DevExpress.ui.dxFormEmptyItem | DevExpress.ui.dxFormButtonItem>);
    get tabTemplate(): any | undefined;
    set tabTemplate(value: any | undefined);
    get template(): any | undefined;
    set template(value: any | undefined);
    get title(): string | undefined;
    set title(value: string | undefined);
    get commands(): Array<DiagramCommand | DevExpress.ui.dxDiagramCustomCommand>;
    set commands(value: Array<DiagramCommand | DevExpress.ui.dxDiagramCustomCommand>);
    get groups(): Array<any | {
        commands?: Array<DiagramCommand | DevExpress.ui.dxDiagramCustomCommand>;
        title?: string;
    }>;
    set groups(value: Array<any | {
        commands?: Array<DiagramCommand | DevExpress.ui.dxDiagramCustomCommand>;
        title?: string;
    }>);
    get name(): HtmlEditorImageUploadTab | undefined;
    set name(value: HtmlEditorImageUploadTab | undefined);
    static ɵfac: i0.ɵɵFactoryDeclaration<DxiHtmlEditorImageUploadTabItem, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DxiHtmlEditorImageUploadTabItem, "ng-component", never, {}, {}, never, never>;
}
