/*!
 * devextreme-angular
 * Version: 23.2.6-build-24091-0113
 * Build date: Sun Mar 31 2024
 *
 * Copyright (c) 2012 - 2024 Developer Express Inc. ALL RIGHTS RESERVED
 *
 * This software may be modified and distributed under the terms
 * of the MIT license. See the LICENSE file in the root of the project for details.
 *
 * https://github.com/DevExpress/devextreme-angular
 */
import { NestedOption } from 'devextreme-angular/core';
import { Store } from 'devextreme/data';
import DataSource, { Options as DataSourceOptions } from 'devextreme/data/data_source';
import * as i0 from "@angular/core";
export declare abstract class DxoHtmlEditorVariables extends NestedOption {
    get dataSource(): DataSource | DataSourceOptions | Store | null | string | Array<string>;
    set dataSource(value: DataSource | DataSourceOptions | Store | null | string | Array<string>);
    get escapeChar(): string | Array<string>;
    set escapeChar(value: string | Array<string>);
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoHtmlEditorVariables, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DxoHtmlEditorVariables, "ng-component", never, {}, {}, never, never>;
}
