/*!
 * devextreme-angular
 * Version: 23.2.6-build-24091-0113
 * Build date: Sun Mar 31 2024
 *
 * Copyright (c) 2012 - 2024 Developer Express Inc. ALL RIGHTS RESERVED
 *
 * This software may be modified and distributed under the terms
 * of the MIT license. See the LICENSE file in the root of the project for details.
 *
 * https://github.com/DevExpress/devextreme-angular
 */
import { OnInit, OnDestroy } from '@angular/core';
import { NestedOptionHost } from 'devextreme-angular/core';
import { DxoButtonOptions } from './base/button-options';
import * as i0 from "@angular/core";
export declare class DxoButtonOptionsComponent extends DxoButtonOptions implements OnDestroy, OnInit {
    protected get _optionPath(): string;
    constructor(parentOptionHost: NestedOptionHost, optionHost: NestedOptionHost);
    ngOnInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoButtonOptionsComponent, [{ host: true; skipSelf: true; }, { host: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DxoButtonOptionsComponent, "dxo-button-options", never, { "accessKey": "accessKey"; "activeStateEnabled": "activeStateEnabled"; "disabled": "disabled"; "elementAttr": "elementAttr"; "focusStateEnabled": "focusStateEnabled"; "height": "height"; "hint": "hint"; "hoverStateEnabled": "hoverStateEnabled"; "icon": "icon"; "onClick": "onClick"; "onContentReady": "onContentReady"; "onDisposing": "onDisposing"; "onInitialized": "onInitialized"; "onOptionChanged": "onOptionChanged"; "rtlEnabled": "rtlEnabled"; "stylingMode": "stylingMode"; "tabIndex": "tabIndex"; "template": "template"; "text": "text"; "type": "type"; "useSubmitBehavior": "useSubmitBehavior"; "validationGroup": "validationGroup"; "visible": "visible"; "width": "width"; }, {}, never, never>;
}
export declare class DxoButtonOptionsModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoButtonOptionsModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<DxoButtonOptionsModule, [typeof DxoButtonOptionsComponent], never, [typeof DxoButtonOptionsComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<DxoButtonOptionsModule>;
}
