/*!
 * devextreme-angular
 * Version: 23.2.6-build-24091-0113
 * Build date: Sun Mar 31 2024
 *
 * Copyright (c) 2012 - 2024 Developer Express Inc. ALL RIGHTS RESERVED
 *
 * This software may be modified and distributed under the terms
 * of the MIT license. See the LICENSE file in the root of the project for details.
 *
 * https://github.com/DevExpress/devextreme-angular
 */
import { OnInit, OnDestroy } from '@angular/core';
import { NestedOptionHost } from 'devextreme-angular/core';
import { DxoGanttFilterRow } from './base/gantt-filter-row';
import * as i0 from "@angular/core";
export declare class DxoFilterRowComponent extends DxoGanttFilterRow implements OnDestroy, OnInit {
    protected get _optionPath(): string;
    constructor(parentOptionHost: NestedOptionHost, optionHost: NestedOptionHost);
    ngOnInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoFilterRowComponent, [{ host: true; skipSelf: true; }, { host: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DxoFilterRowComponent, "dxo-filter-row", never, { "applyFilter": "applyFilter"; "applyFilterText": "applyFilterText"; "betweenEndText": "betweenEndText"; "betweenStartText": "betweenStartText"; "operationDescriptions": "operationDescriptions"; "resetOperationText": "resetOperationText"; "showAllText": "showAllText"; "showOperationChooser": "showOperationChooser"; "visible": "visible"; }, {}, never, never>;
}
export declare class DxoFilterRowModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoFilterRowModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<DxoFilterRowModule, [typeof DxoFilterRowComponent], never, [typeof DxoFilterRowComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<DxoFilterRowModule>;
}
