/*!
 * devextreme-angular
 * Version: 23.2.6-build-24091-0113
 * Build date: Sun Mar 31 2024
 *
 * Copyright (c) 2012 - 2024 Developer Express Inc. ALL RIGHTS RESERVED
 *
 * This software may be modified and distributed under the terms
 * of the MIT license. See the LICENSE file in the root of the project for details.
 *
 * https://github.com/DevExpress/devextreme-angular
 */
import { OnInit, OnDestroy, EventEmitter } from '@angular/core';
import { Mode } from 'devextreme/common';
import { NestedOptionHost } from 'devextreme-angular/core';
import { NestedOption } from 'devextreme-angular/core';
import * as i0 from "@angular/core";
export declare class DxoGroupPanelComponent extends NestedOption implements OnDestroy, OnInit {
    get allowColumnDragging(): boolean;
    set allowColumnDragging(value: boolean);
    get emptyPanelText(): string;
    set emptyPanelText(value: string);
    get visible(): Mode | boolean;
    set visible(value: Mode | boolean);
    /**
    
     * This member supports the internal infrastructure and is not intended to be used directly from your code.
    
     */
    visibleChange: EventEmitter<Mode | boolean>;
    protected get _optionPath(): string;
    constructor(parentOptionHost: NestedOptionHost, optionHost: NestedOptionHost);
    ngOnInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoGroupPanelComponent, [{ host: true; skipSelf: true; }, { host: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DxoGroupPanelComponent, "dxo-group-panel", never, { "allowColumnDragging": "allowColumnDragging"; "emptyPanelText": "emptyPanelText"; "visible": "visible"; }, { "visibleChange": "visibleChange"; }, never, never>;
}
export declare class DxoGroupPanelModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoGroupPanelModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<DxoGroupPanelModule, [typeof DxoGroupPanelComponent], never, [typeof DxoGroupPanelComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<DxoGroupPanelModule>;
}
