/*!
 * devextreme-angular
 * Version: 23.2.6-build-24091-0113
 * Build date: Sun Mar 31 2024
 *
 * Copyright (c) 2012 - 2024 Developer Express Inc. ALL RIGHTS RESERVED
 *
 * This software may be modified and distributed under the terms
 * of the MIT license. See the LICENSE file in the root of the project for details.
 *
 * https://github.com/DevExpress/devextreme-angular
 */
import { OnInit, OnDestroy } from '@angular/core';
import { NestedOptionHost } from 'devextreme-angular/core';
import { DxoGanttHeaderFilter } from './base/gantt-header-filter';
import * as i0 from "@angular/core";
export declare class DxoHeaderFilterComponent extends DxoGanttHeaderFilter implements OnDestroy, OnInit {
    protected get _optionPath(): string;
    constructor(parentOptionHost: NestedOptionHost, optionHost: NestedOptionHost);
    ngOnInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoHeaderFilterComponent, [{ host: true; skipSelf: true; }, { host: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DxoHeaderFilterComponent, "dxo-header-filter", never, { "allowSearch": "allowSearch"; "allowSelectAll": "allowSelectAll"; "dataSource": "dataSource"; "groupInterval": "groupInterval"; "height": "height"; "search": "search"; "searchMode": "searchMode"; "width": "width"; "searchTimeout": "searchTimeout"; "texts": "texts"; "visible": "visible"; "showRelevantValues": "showRelevantValues"; }, {}, never, never>;
}
export declare class DxoHeaderFilterModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoHeaderFilterModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<DxoHeaderFilterModule, [typeof DxoHeaderFilterComponent], never, [typeof DxoHeaderFilterComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<DxoHeaderFilterModule>;
}
