/*!
 * devextreme-angular
 * Version: 23.2.6-build-24091-0113
 * Build date: Sun Mar 31 2024
 *
 * Copyright (c) 2012 - 2024 Developer Express Inc. ALL RIGHTS RESERVED
 *
 * This software may be modified and distributed under the terms
 * of the MIT license. See the LICENSE file in the root of the project for details.
 *
 * https://github.com/DevExpress/devextreme-angular
 */
import { OnInit, OnDestroy } from '@angular/core';
import { NestedOptionHost } from 'devextreme-angular/core';
import { NestedOption } from 'devextreme-angular/core';
import * as i0 from "@angular/core";
export declare class DxoIndentComponent extends NestedOption implements OnDestroy, OnInit {
    get left(): number | undefined;
    set left(value: number | undefined);
    get right(): number | undefined;
    set right(value: number | undefined);
    protected get _optionPath(): string;
    constructor(parentOptionHost: NestedOptionHost, optionHost: NestedOptionHost);
    ngOnInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoIndentComponent, [{ host: true; skipSelf: true; }, { host: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DxoIndentComponent, "dxo-indent", never, { "left": "left"; "right": "right"; }, {}, never, never>;
}
export declare class DxoIndentModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoIndentModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<DxoIndentModule, [typeof DxoIndentComponent], never, [typeof DxoIndentComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<DxoIndentModule>;
}
