/*!
 * devextreme-angular
 * Version: 23.2.6-build-24091-0113
 * Build date: Sun Mar 31 2024
 *
 * Copyright (c) 2012 - 2024 Developer Express Inc. ALL RIGHTS RESERVED
 *
 * This software may be modified and distributed under the terms
 * of the MIT license. See the LICENSE file in the root of the project for details.
 *
 * https://github.com/DevExpress/devextreme-angular
 */
import { OnInit, OnDestroy } from '@angular/core';
import { EnterKeyAction, EnterKeyDirection } from 'devextreme/common/grids';
import { NestedOptionHost } from 'devextreme-angular/core';
import { NestedOption } from 'devextreme-angular/core';
import * as i0 from "@angular/core";
export declare class DxoKeyboardNavigationComponent extends NestedOption implements OnDestroy, OnInit {
    get editOnKeyPress(): boolean;
    set editOnKeyPress(value: boolean);
    get enabled(): boolean;
    set enabled(value: boolean);
    get enterKeyAction(): EnterKeyAction;
    set enterKeyAction(value: EnterKeyAction);
    get enterKeyDirection(): EnterKeyDirection;
    set enterKeyDirection(value: EnterKeyDirection);
    protected get _optionPath(): string;
    constructor(parentOptionHost: NestedOptionHost, optionHost: NestedOptionHost);
    ngOnInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoKeyboardNavigationComponent, [{ host: true; skipSelf: true; }, { host: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DxoKeyboardNavigationComponent, "dxo-keyboard-navigation", never, { "editOnKeyPress": "editOnKeyPress"; "enabled": "enabled"; "enterKeyAction": "enterKeyAction"; "enterKeyDirection": "enterKeyDirection"; }, {}, never, never>;
}
export declare class DxoKeyboardNavigationModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoKeyboardNavigationModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<DxoKeyboardNavigationModule, [typeof DxoKeyboardNavigationComponent], never, [typeof DxoKeyboardNavigationComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<DxoKeyboardNavigationModule>;
}
