/*!
 * devextreme-angular
 * Version: 23.2.6-build-24091-0113
 * Build date: Sun Mar 31 2024
 *
 * Copyright (c) 2012 - 2024 Developer Express Inc. ALL RIGHTS RESERVED
 *
 * This software may be modified and distributed under the terms
 * of the MIT license. See the LICENSE file in the root of the project for details.
 *
 * https://github.com/DevExpress/devextreme-angular
 */
import { OnInit, OnDestroy } from '@angular/core';
import { Store } from 'devextreme/data';
import { Options as DataSourceOptions } from 'devextreme/data/data_source';
import { NestedOptionHost } from 'devextreme-angular/core';
import { NestedOption } from 'devextreme-angular/core';
import * as i0 from "@angular/core";
export declare class DxoLookupComponent extends NestedOption implements OnDestroy, OnInit {
    get allowClearing(): boolean;
    set allowClearing(value: boolean);
    get calculateCellValue(): Function;
    set calculateCellValue(value: Function);
    get dataSource(): DataSourceOptions | Store | Function | null | undefined | Array<any>;
    set dataSource(value: DataSourceOptions | Store | Function | null | undefined | Array<any>);
    get displayExpr(): Function | string | undefined;
    set displayExpr(value: Function | string | undefined);
    get valueExpr(): string | undefined | Function;
    set valueExpr(value: string | undefined | Function);
    protected get _optionPath(): string;
    constructor(parentOptionHost: NestedOptionHost, optionHost: NestedOptionHost);
    ngOnInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoLookupComponent, [{ host: true; skipSelf: true; }, { host: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DxoLookupComponent, "dxo-lookup", never, { "allowClearing": "allowClearing"; "calculateCellValue": "calculateCellValue"; "dataSource": "dataSource"; "displayExpr": "displayExpr"; "valueExpr": "valueExpr"; }, {}, never, never>;
}
export declare class DxoLookupModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoLookupModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<DxoLookupModule, [typeof DxoLookupComponent], never, [typeof DxoLookupComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<DxoLookupModule>;
}
