/*!
 * devextreme-angular
 * Version: 23.2.6-build-24091-0113
 * Build date: Sun Mar 31 2024
 *
 * Copyright (c) 2012 - 2024 Developer Express Inc. ALL RIGHTS RESERVED
 *
 * This software may be modified and distributed under the terms
 * of the MIT license. See the LICENSE file in the root of the project for details.
 *
 * https://github.com/DevExpress/devextreme-angular
 */
import { OnInit, OnDestroy } from '@angular/core';
import { NestedOptionHost } from 'devextreme-angular/core';
import { DxoGanttFilterRowOperationDescriptions } from './base/gantt-filter-row-operation-descriptions';
import * as i0 from "@angular/core";
export declare class DxoOperationDescriptionsComponent extends DxoGanttFilterRowOperationDescriptions implements OnDestroy, OnInit {
    protected get _optionPath(): string;
    constructor(parentOptionHost: NestedOptionHost, optionHost: NestedOptionHost);
    ngOnInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoOperationDescriptionsComponent, [{ host: true; skipSelf: true; }, { host: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DxoOperationDescriptionsComponent, "dxo-operation-descriptions", never, { "between": "between"; "contains": "contains"; "endsWith": "endsWith"; "equal": "equal"; "greaterThan": "greaterThan"; "greaterThanOrEqual": "greaterThanOrEqual"; "lessThan": "lessThan"; "lessThanOrEqual": "lessThanOrEqual"; "notContains": "notContains"; "notEqual": "notEqual"; "startsWith": "startsWith"; }, {}, never, never>;
}
export declare class DxoOperationDescriptionsModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoOperationDescriptionsModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<DxoOperationDescriptionsModule, [typeof DxoOperationDescriptionsComponent], never, [typeof DxoOperationDescriptionsComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<DxoOperationDescriptionsModule>;
}
