/*!
 * devextreme-angular
 * Version: 23.2.6-build-24091-0113
 * Build date: Sun Mar 31 2024
 *
 * Copyright (c) 2012 - 2024 Developer Express Inc. ALL RIGHTS RESERVED
 *
 * This software may be modified and distributed under the terms
 * of the MIT license. See the LICENSE file in the root of the project for details.
 *
 * https://github.com/DevExpress/devextreme-angular
 */
import { OnInit, OnDestroy } from '@angular/core';
import { NestedOptionHost } from 'devextreme-angular/core';
import { DxoPositionConfig } from './base/position-config';
import * as i0 from "@angular/core";
export declare class DxoPositionComponent extends DxoPositionConfig implements OnDestroy, OnInit {
    protected get _optionPath(): string;
    constructor(parentOptionHost: NestedOptionHost, optionHost: NestedOptionHost);
    ngOnInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoPositionComponent, [{ host: true; skipSelf: true; }, { host: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DxoPositionComponent, "dxo-position", never, { "at": "at"; "boundary": "boundary"; "boundaryOffset": "boundaryOffset"; "collision": "collision"; "my": "my"; "of": "of"; "offset": "offset"; }, {}, never, never>;
}
export declare class DxoPositionModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoPositionModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<DxoPositionModule, [typeof DxoPositionComponent], never, [typeof DxoPositionComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<DxoPositionModule>;
}
