/*!
 * devextreme-angular
 * Version: 23.2.6-build-24091-0113
 * Build date: Sun Mar 31 2024
 *
 * Copyright (c) 2012 - 2024 Developer Express Inc. ALL RIGHTS RESERVED
 *
 * This software may be modified and distributed under the terms
 * of the MIT license. See the LICENSE file in the root of the project for details.
 *
 * https://github.com/DevExpress/devextreme-angular
 */
import { OnInit, OnDestroy, EventEmitter } from '@angular/core';
import { NestedOptionHost } from 'devextreme-angular/core';
import { NestedOption } from 'devextreme-angular/core';
import * as i0 from "@angular/core";
export declare class DxoSearchPanelComponent extends NestedOption implements OnDestroy, OnInit {
    get highlightCaseSensitive(): boolean;
    set highlightCaseSensitive(value: boolean);
    get highlightSearchText(): boolean;
    set highlightSearchText(value: boolean);
    get placeholder(): string;
    set placeholder(value: string);
    get searchVisibleColumnsOnly(): boolean;
    set searchVisibleColumnsOnly(value: boolean);
    get text(): string;
    set text(value: string);
    get visible(): boolean;
    set visible(value: boolean);
    get width(): number | string;
    set width(value: number | string);
    /**
    
     * This member supports the internal infrastructure and is not intended to be used directly from your code.
    
     */
    textChange: EventEmitter<string>;
    protected get _optionPath(): string;
    constructor(parentOptionHost: NestedOptionHost, optionHost: NestedOptionHost);
    ngOnInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoSearchPanelComponent, [{ host: true; skipSelf: true; }, { host: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DxoSearchPanelComponent, "dxo-search-panel", never, { "highlightCaseSensitive": "highlightCaseSensitive"; "highlightSearchText": "highlightSearchText"; "placeholder": "placeholder"; "searchVisibleColumnsOnly": "searchVisibleColumnsOnly"; "text": "text"; "visible": "visible"; "width": "width"; }, { "textChange": "textChange"; }, never, never>;
}
export declare class DxoSearchPanelModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoSearchPanelModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<DxoSearchPanelModule, [typeof DxoSearchPanelComponent], never, [typeof DxoSearchPanelComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<DxoSearchPanelModule>;
}
