/*!
 * devextreme-angular
 * Version: 23.2.6-build-24091-0113
 * Build date: Sun Mar 31 2024
 *
 * Copyright (c) 2012 - 2024 Developer Express Inc. ALL RIGHTS RESERVED
 *
 * This software may be modified and distributed under the terms
 * of the MIT license. See the LICENSE file in the root of the project for details.
 *
 * https://github.com/DevExpress/devextreme-angular
 */
import { OnInit, OnDestroy } from '@angular/core';
import { NestedOptionHost } from 'devextreme-angular/core';
import { NestedOption } from 'devextreme-angular/core';
import * as i0 from "@angular/core";
export declare class DxoSeriesTemplateComponent extends NestedOption implements OnDestroy, OnInit {
    get customizeSeries(): Function;
    set customizeSeries(value: Function);
    get nameField(): string;
    set nameField(value: string);
    protected get _optionPath(): string;
    constructor(parentOptionHost: NestedOptionHost, optionHost: NestedOptionHost);
    ngOnInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoSeriesTemplateComponent, [{ host: true; skipSelf: true; }, { host: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DxoSeriesTemplateComponent, "dxo-series-template", never, { "customizeSeries": "customizeSeries"; "nameField": "nameField"; }, {}, never, never>;
}
export declare class DxoSeriesTemplateModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoSeriesTemplateModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<DxoSeriesTemplateModule, [typeof DxoSeriesTemplateComponent], never, [typeof DxoSeriesTemplateComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<DxoSeriesTemplateModule>;
}
