/*!
 * devextreme-angular
 * Version: 23.2.6-build-24091-0113
 * Build date: Sun Mar 31 2024
 *
 * Copyright (c) 2012 - 2024 Developer Express Inc. ALL RIGHTS RESERVED
 *
 * This software may be modified and distributed under the terms
 * of the MIT license. See the LICENSE file in the root of the project for details.
 *
 * https://github.com/DevExpress/devextreme-angular
 */
import { OnInit, OnDestroy } from '@angular/core';
import { NestedOptionHost } from 'devextreme-angular/core';
import { NestedOption } from 'devextreme-angular/core';
import * as i0 from "@angular/core";
export declare class DxoShadowComponent extends NestedOption implements OnDestroy, OnInit {
    get blur(): number;
    set blur(value: number);
    get color(): string;
    set color(value: string);
    get offsetX(): number;
    set offsetX(value: number);
    get offsetY(): number;
    set offsetY(value: number);
    get opacity(): number;
    set opacity(value: number);
    protected get _optionPath(): string;
    constructor(parentOptionHost: NestedOptionHost, optionHost: NestedOptionHost);
    ngOnInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoShadowComponent, [{ host: true; skipSelf: true; }, { host: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DxoShadowComponent, "dxo-shadow", never, { "blur": "blur"; "color": "color"; "offsetX": "offsetX"; "offsetY": "offsetY"; "opacity": "opacity"; }, {}, never, never>;
}
export declare class DxoShadowModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoShadowModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<DxoShadowModule, [typeof DxoShadowComponent], never, [typeof DxoShadowComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<DxoShadowModule>;
}
