/*!
 * devextreme-angular
 * Version: 23.2.6-build-24091-0113
 * Build date: Sun Mar 31 2024
 *
 * Copyright (c) 2012 - 2024 Developer Express Inc. ALL RIGHTS RESERVED
 *
 * This software may be modified and distributed under the terms
 * of the MIT license. See the LICENSE file in the root of the project for details.
 *
 * https://github.com/DevExpress/devextreme-angular
 */
import { OnInit, OnDestroy } from '@angular/core';
import { SubmenuShowMode } from 'devextreme/common';
import { NestedOptionHost } from 'devextreme-angular/core';
import { NestedOption } from 'devextreme-angular/core';
import * as i0 from "@angular/core";
export declare class DxoShowFirstSubmenuModeComponent extends NestedOption implements OnDestroy, OnInit {
    get delay(): number | {
        hide?: number;
        show?: number;
    };
    set delay(value: number | {
        hide?: number;
        show?: number;
    });
    get name(): SubmenuShowMode;
    set name(value: SubmenuShowMode);
    protected get _optionPath(): string;
    constructor(parentOptionHost: NestedOptionHost, optionHost: NestedOptionHost);
    ngOnInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoShowFirstSubmenuModeComponent, [{ host: true; skipSelf: true; }, { host: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DxoShowFirstSubmenuModeComponent, "dxo-show-first-submenu-mode", never, { "delay": "delay"; "name": "name"; }, {}, never, never>;
}
export declare class DxoShowFirstSubmenuModeModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoShowFirstSubmenuModeModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<DxoShowFirstSubmenuModeModule, [typeof DxoShowFirstSubmenuModeComponent], never, [typeof DxoShowFirstSubmenuModeComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<DxoShowFirstSubmenuModeModule>;
}
