/*!
 * devextreme-angular
 * Version: 23.2.6-build-24091-0113
 * Build date: Sun Mar 31 2024
 *
 * Copyright (c) 2012 - 2024 Developer Express Inc. ALL RIGHTS RESERVED
 *
 * This software may be modified and distributed under the terms
 * of the MIT license. See the LICENSE file in the root of the project for details.
 *
 * https://github.com/DevExpress/devextreme-angular
 */
import { OnInit, OnDestroy } from '@angular/core';
import { NestedOptionHost } from 'devextreme-angular/core';
import { NestedOption } from 'devextreme-angular/core';
import * as i0 from "@angular/core";
export declare class DxoSourceComponent extends NestedOption implements OnDestroy, OnInit {
    get grouping(): string;
    set grouping(value: string);
    get layer(): string;
    set layer(value: string);
    protected get _optionPath(): string;
    constructor(parentOptionHost: NestedOptionHost, optionHost: NestedOptionHost);
    ngOnInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoSourceComponent, [{ host: true; skipSelf: true; }, { host: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DxoSourceComponent, "dxo-source", never, { "grouping": "grouping"; "layer": "layer"; }, {}, never, never>;
}
export declare class DxoSourceModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoSourceModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<DxoSourceModule, [typeof DxoSourceComponent], never, [typeof DxoSourceComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<DxoSourceModule>;
}
