/*!
 * devextreme-angular
 * Version: 23.2.6-build-24091-0113
 * Build date: Sun Mar 31 2024
 *
 * Copyright (c) 2012 - 2024 Developer Express Inc. ALL RIGHTS RESERVED
 *
 * This software may be modified and distributed under the terms
 * of the MIT license. See the LICENSE file in the root of the project for details.
 *
 * https://github.com/DevExpress/devextreme-angular
 */
import { OnInit, OnDestroy } from '@angular/core';
import { NestedOptionHost } from 'devextreme-angular/core';
import { DxoAnimationState } from './base/animation-state';
import * as i0 from "@angular/core";
export declare class DxoToComponent extends DxoAnimationState implements OnDestroy, OnInit {
    protected get _optionPath(): string;
    constructor(parentOptionHost: NestedOptionHost, optionHost: NestedOptionHost);
    ngOnInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoToComponent, [{ host: true; skipSelf: true; }, { host: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DxoToComponent, "dxo-to", never, { "left": "left"; "opacity": "opacity"; "position": "position"; "scale": "scale"; "top": "top"; }, {}, never, never>;
}
export declare class DxoToModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoToModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<DxoToModule, [typeof DxoToComponent], never, [typeof DxoToComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<DxoToModule>;
}
